


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'MatchAuthenStatusEnum' : _MetaInfoEnum('MatchAuthenStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'match-authen-status-unspecified':'match_authen_status_unspecified',
            'match-authen-status-authenticated':'match_authen_status_authenticated',
            'match-authen-status-unauthenticated':'match_authen_status_unauthenticated',
            'match-authen-status-max':'match_authen_status_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PeventEnum' : _MetaInfoEnum('PeventEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'pevent-type-unspecified':'pevent_type_unspecified',
            'pevent-type-acct-logon':'pevent_type_acct_logon',
            'pevent-type-acct-logoff':'pevent_type_acct_logoff',
            'pevent-type-credit-exhausted':'pevent_type_credit_exhausted',
            'pevent-type-idle-timeout':'pevent_type_idle_timeout',
            'pevent-type-absolute-timeout':'pevent_type_absolute_timeout',
            'pevent-type-quota-depleted':'pevent_type_quota_depleted',
            'pevent-type-service-start':'pevent_type_service_start',
            'pevent-type-service-stop':'pevent_type_service_stop',
            'pevent-type-session-start':'pevent_type_session_start',
            'pevent-type-session-activate':'pevent_type_session_activate',
            'pevent-type-session-restart':'pevent_type_session_restart',
            'pevent-type-session-stop':'pevent_type_session_stop',
            'pevent-type-session-disconnect':'pevent_type_session_disconnect',
            'pevent-type-session-update':'pevent_type_session_update',
            'pevent-type-flow-start':'pevent_type_flow_start',
            'pevent-type-flow-stop':'pevent_type_flow_stop',
            'pevent-type-accouting-start':'pevent_type_accouting_start',
            'pevent-type-acountng-g-stop':'pevent_type_acountng_g_stop',
            'pevent-type-acountng-g-update':'pevent_type_acountng_g_update',
            'pevent-type-timer-expiry':'pevent_type_timer_expiry',
            'pevent-type-threshold-reached':'pevent_type_threshold_reached',
            'pevent-type-ka-success':'pevent_type_ka_success',
            'pevent-type-ka-failure':'pevent_type_ka_failure',
            'pevent-type-link-up':'pevent_type_link_up',
            'pevent-type-link-down':'pevent_type_link_down',
            'pevent-type-authorization-failure':'pevent_type_authorization_failure',
            'pevent-type-authorization-no-response':'pevent_type_authorization_no_response',
            'pevent-type-authentication-failure':'pevent_type_authentication_failure',
            'pevent-type-authentication-no-response':'pevent_type_authentication_no_response',
            'pevent-type-exception':'pevent_type_exception',
            'pevent-type-session-ident-chg':'pevent_type_session_ident_chg',
            'pevent-type-max':'pevent_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'MarkEnum' : _MetaInfoEnum('MarkEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'mark-type-none':'mark_type_none',
            'mark-type-dscp':'mark_type_dscp',
            'mark-type-prec':'mark_type_prec',
            'mark-type-mpls-exp-topmost':'mark_type_mpls_exp_topmost',
            'mark-type-mpls-exp-imposition':'mark_type_mpls_exp_imposition',
            'mark-type-qos-group':'mark_type_qos_group',
            'mark-type-discard-class':'mark_type_discard_class',
            'mark-type-cos':'mark_type_cos',
            'mark-type-cos-inner':'mark_type_cos_inner',
            'mark-type-srp-priority':'mark_type_srp_priority',
            'mark-type-atm-clp':'mark_type_atm_clp',
            'mark-type-fr-de':'mark_type_fr_de',
            'mark-type-dscp-tunnel':'mark_type_dscp_tunnel',
            'mark-type-prec-tunnel':'mark_type_prec_tunnel',
            'mark-type-dei':'mark_type_dei',
            'mark-type-dei-imposition':'mark_type_dei_imposition',
            'mark-type-forward-class':'mark_type_forward_class',
            'mark-type-df':'mark_type_df',
            'mark-type-traffic-class':'mark_type_traffic_class',
            'mark-type-src-mac':'mark_type_src_mac',
            'mark-type-dst-mac':'mark_type_dst_mac',
            'mark-type-ipv4-src-addr':'mark_type_ipv4_src_addr',
            'mark-type-ipv4-dst-addr':'mark_type_ipv4_dst_addr',
            'mark-type-vlan-id':'mark_type_vlan_id',
            'mark-type-udp-src-port':'mark_type_udp_src_port',
            'mark-type-udp-dst-port':'mark_type_udp_dst_port',
            'mark-type-tcp-src-port':'mark_type_tcp_src_port',
            'mark-type-tcp-dst-port':'mark_type_tcp_dst_port',
            'mark-type-sctp-src-port':'mark_type_sctp_src_port',
            'mark-type-sctp-dst-port':'mark_type_sctp_dst_port',
            'mark-type-max':'mark_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicyMapEnum' : _MetaInfoEnum('PolicyMapEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-map-type-none':'policy_map_type_none',
            'policy-map-type-qos':'policy_map_type_qos',
            'policy-map-type-pbr':'policy_map_type_pbr',
            'policy-map-type-traffic':'policy_map_type_traffic',
            'policy-map-type-subs-control':'policy_map_type_subs_control',
            'policy-map-type-accounting':'policy_map_type_accounting',
            'policy-map-type-redirect':'policy_map_type_redirect',
            'policy-map-type-afmon':'policy_map_type_afmon',
            'policy-map-type-merge':'policy_map_type_merge',
            'policy-map-type-max':'policy_map_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'DecodeIdentifierEnum' : _MetaInfoEnum('DecodeIdentifierEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-decid-unspecified':'policy_decid_unspecified',
            'policy-decid-remote-id':'policy_decid_remote_id',
            'policy-decid-circuit-id':'policy_decid_circuit_id',
            'policy-decid-user-name':'policy_decid_user_name',
            'policy-decid-max':'policy_decid_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PeventCondEvalEnum' : _MetaInfoEnum('PeventCondEvalEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'pevent-cond-eval-unspecified':'pevent_cond_eval_unspecified',
            'pevent-cond-eval-match-first':'pevent_cond_eval_match_first',
            'pevent-cond-eval-match-all':'pevent_cond_eval_match_all',
            'pevent-cond-eval-max':'pevent_cond_eval_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicyActionEnum' : _MetaInfoEnum('PolicyActionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-action-none':'policy_action_none',
            'policy-action-unspecified':'policy_action_unspecified',
            'policy-action-mark':'policy_action_mark',
            'policy-action-mark2':'policy_action_mark2',
            'policy-action-wred':'policy_action_wred',
            'policy-action-encap-seq':'policy_action_encap_seq',
            'policy-action-priority':'policy_action_priority',
            'policy-action-iphc':'policy_action_iphc',
            'policy-action-bw-remaining':'policy_action_bw_remaining',
            'policy-action-min-bw':'policy_action_min_bw',
            'policy-action-authenticate-aaa':'policy_action_authenticate_aaa',
            'policy-action-collect-id':'policy_action_collect_id',
            'policy-action-disconnect':'policy_action_disconnect',
            'policy-action-set-timer':'policy_action_set_timer',
            'policy-action-stop-timer':'policy_action_stop_timer',
            'policy-action-query-ancp':'policy_action_query_ancp',
            'policy-action-accounting-aaa-list':'policy_action_accounting_aaa_list',
            'policy-action-prepaid-config':'policy_action_prepaid_config',
            'policy-action-timeout-idle':'policy_action_timeout_idle',
            'policy-action-proxy-aaa':'policy_action_proxy_aaa',
            'policy-action-template-activate':'policy_action_template_activate',
            'policy-action-template-deactivate':'policy_action_template_deactivate',
            'policy-action-decode-identifier':'policy_action_decode_identifier',
            'policy-action-q-limit':'policy_action_q_limit',
            'policy-action-authorize-id':'policy_action_authorize_id',
            'policy-action-accounting-event-aaa-list':'policy_action_accounting_event_aaa_list',
            'policy-action-afmon-react':'policy_action_afmon_react',
            'policy-action-httpr':'policy_action_httpr',
            'policy-action-pbr-transmit':'policy_action_pbr_transmit',
            'policy-action-pbr-drop':'policy_action_pbr_drop',
            'policy-action-punt':'policy_action_punt',
            'policy-action-copy':'policy_action_copy',
            'policy-action-sfrag':'policy_action_sfrag',
            'policy-action-monitor':'policy_action_monitor',
            'policy-action-redirect':'policy_action_redirect',
            'policy-action-ipv4-nh':'policy_action_ipv4_nh',
            'policy-action-ipv6-nh':'policy_action_ipv6_nh',
            'policy-action-vlan-pop':'policy_action_vlan_pop',
            'policy-action-pbr-next-hop':'policy_action_pbr_next_hop',
            'policy-action-decap-gre':'policy_action_decap_gre',
            'policy-action-output-interface':'policy_action_output_interface',
            'policy-action-service-function-path':'policy_action_service_function_path',
            'policy-action-ptrs':'policy_action_ptrs',
            'policy-action-police':'policy_action_police',
            'policy-action-shape':'policy_action_shape',
            'policy-action-serv-pol':'policy_action_serv_pol',
            'policy-action-cac':'policy_action_cac',
            'policy-action-afmon-flow-parm':'policy_action_afmon_flow_parm',
            'policy-action-afmon-ipcbr-metric':'policy_action_afmon_ipcbr_metric',
            'policy-action-afmon-rtp-metric':'policy_action_afmon_rtp_metric',
            'policy-action-afmon-rtp-mmr-metric':'policy_action_afmon_rtp_mmr_metric',
            'policy-action-afmon-rtp-j2k-metric':'policy_action_afmon_rtp_j2k_metric',
            'policy-action-afmon-rtp-voice-metric':'policy_action_afmon_rtp_voice_metric',
            'policy-action-afmon-mdi-metric':'policy_action_afmon_mdi_metric',
            'policy-action-afmon-mdi-rtp-metric':'policy_action_afmon_mdi_rtp_metric',
            'policy-action-afmon-fmm':'policy_action_afmon_fmm',
            'policy-action-pfc':'policy_action_pfc',
            'policy-action-max':'policy_action_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'QlimitEnum' : _MetaInfoEnum('QlimitEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'qlimit-cmd':'qlimit_cmd',
            'qlimit-discard-class':'qlimit_discard_class',
            'qlimit-qos-group':'qlimit_qos_group',
            'qlimit-precedence':'qlimit_precedence',
            'qlimit-mpls-exp':'qlimit_mpls_exp',
            'qlimit-dscp':'qlimit_dscp',
            'qlimit-max':'qlimit_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'MatchEnum' : _MetaInfoEnum('MatchEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'match-type-none':'match_type_none',
            'match-type-ipv4-dscp':'match_type_ipv4_dscp',
            'match-type-ipv4-prec':'match_type_ipv4_prec',
            'match-type-ipv6-dscp':'match_type_ipv6_dscp',
            'match-type-packet-length':'match_type_packet_length',
            'match-type-ipv4-packet-length':'match_type_ipv4_packet_length',
            'match-type-ipv6-packet-length':'match_type_ipv6_packet_length',
            'match-type-flow-tag':'match_type_flow_tag',
            'match-type-icmpv4-type':'match_type_icmpv4_type',
            'match-type-icmpv4-code':'match_type_icmpv4_code',
            'match-type-icmpv6-type':'match_type_icmpv6_type',
            'match-type-icmpv6-code':'match_type_icmpv6_code',
            'match-type-ipv6-prec':'match_type_ipv6_prec',
            'match-type-fragment-type':'match_type_fragment_type',
            'match-type-tcp-flag':'match_type_tcp_flag',
            'match-type-dscp':'match_type_dscp',
            'match-type-prec':'match_type_prec',
            'match-type-proto':'match_type_proto',
            'match-type-proto-icmpv4':'match_type_proto_icmpv4',
            'match-type-proto-icmpv6':'match_type_proto_icmpv6',
            'match-type-mpls-exp-top':'match_type_mpls_exp_top',
            'match-type-mpls-exp-imp':'match_type_mpls_exp_imp',
            'match-type-mpls-disp-ipv4-acl':'match_type_mpls_disp_ipv4_acl',
            'match-type-mpls-disp-ipv6-acl':'match_type_mpls_disp_ipv6_acl',
            'match-type-mpls-topmost-eos':'match_type_mpls_topmost_eos',
            'match-type-mpls-topmost-label':'match_type_mpls_topmost_label',
            'match-type-cos':'match_type_cos',
            'match-type-cos-inner':'match_type_cos_inner',
            'match-type-dei':'match_type_dei',
            'match-type-dei-inner':'match_type_dei_inner',
            'match-type-vlan':'match_type_vlan',
            'match-type-vlan-inner':'match_type_vlan_inner',
            'match-type-fr-dlci':'match_type_fr_dlci',
            'match-type-src-mac':'match_type_src_mac',
            'match-type-dst-mac':'match_type_dst_mac',
            'match-type-atm-oam':'match_type_atm_oam',
            'match-type-atm-clp':'match_type_atm_clp',
            'match-type-fr-de':'match_type_fr_de',
            'match-type-qos-grp':'match_type_qos_grp',
            'match-type-traffic-class':'match_type_traffic_class',
            'match-type-disc-cls':'match_type_disc_cls',
            'match-type-vpls-known':'match_type_vpls_known',
            'match-type-vpls-unknown':'match_type_vpls_unknown',
            'match-type-vpls-mcast':'match_type_vpls_mcast',
            'match-type-vpls-bcast':'match_type_vpls_bcast',
            'match-type-vpls-control':'match_type_vpls_control',
            'match-type-ipv4-acl':'match_type_ipv4_acl',
            'match-type-ipv6-acl':'match_type_ipv6_acl',
            'match-type-flow-key':'match_type_flow_key',
            'match-type-avail-id':'match_type_avail_id',
            'match-type-authen-status':'match_type_authen_status',
            'match-type-media':'match_type_media',
            'match-type-mlp-negotiated':'match_type_mlp_negotiated',
            'match-type-subs-protocol':'match_type_subs_protocol',
            'match-type-dnis':'match_type_dnis',
            'match-type-dnis-regexp':'match_type_dnis_regexp',
            'match-type-domain':'match_type_domain',
            'match-type-domain-regexp':'match_type_domain_regexp',
            'match-type-nas-port':'match_type_nas_port',
            'match-type-service-name':'match_type_service_name',
            'match-type-service-name-regexp':'match_type_service_name_regexp',
            'match-type-src-addr-ipv4':'match_type_src_addr_ipv4',
            'match-type-dst-addr-ipv4':'match_type_dst_addr_ipv4',
            'match-type-src-addr-ipv6':'match_type_src_addr_ipv6',
            'match-type-dst-addr-ipv6':'match_type_dst_addr_ipv6',
            'match-type-src-addr-mac':'match_type_src_addr_mac',
            'match-type-src-port':'match_type_src_port',
            'match-type-dst-port':'match_type_dst_port',
            'match-type-timer':'match_type_timer',
            'match-type-timer-regexp':'match_type_timer_regexp',
            'match-type-tunnel-name':'match_type_tunnel_name',
            'match-type-tunnel-name-regexp':'match_type_tunnel_name_regexp',
            'match-type-user-name':'match_type_user_name',
            'match-type-user-name-regexp':'match_type_user_name_regexp',
            'match-type-auth-user-name':'match_type_auth_user_name',
            'match-type-auth-user-name-regexp':'match_type_auth_user_name_regexp',
            'match-type-unauth-user-name':'match_type_unauth_user_name',
            'match-type-unauth-user-name-regexp':'match_type_unauth_user_name_regexp',
            'match-type-no-user-name':'match_type_no_user_name',
            'match-type-auth-domain':'match_type_auth_domain',
            'match-type-auth-domain-regexp':'match_type_auth_domain_regexp',
            'match-type-unauth-domain':'match_type_unauth_domain',
            'match-type-unauth-domain-regexp':'match_type_unauth_domain_regexp',
            'match-type-vendor-id':'match_type_vendor_id',
            'match-type-vendor-id-regexp':'match_type_vendor_id_regexp',
            'match-type-access-interface':'match_type_access_interface',
            'match-type-input-interface':'match_type_input_interface',
            'match-type-input-interface-hdl':'match_type_input_interface_hdl',
            'match-type-ether-type':'match_type_ether_type',
            'match-type-dhcp-client-id':'match_type_dhcp_client_id',
            'match-type-dhcp-client-id-regexp':'match_type_dhcp_client_id_regexp',
            'match-type-circuit-id':'match_type_circuit_id',
            'match-type-circuit-id-regexp':'match_type_circuit_id_regexp',
            'match-type-remote-id':'match_type_remote_id',
            'match-type-remote-id-regexp':'match_type_remote_id_regexp',
            'match-type-cac-admit-local':'match_type_cac_admit_local',
            'match-type-cac-unadmit-local':'match_type_cac_unadmit_local',
            'match-type-any-internal':'match_type_any_internal',
            'match-type-ethernet-service-s-acl':'match_type_ethernet_service_s_acl',
            'match-type-ptrs':'match_type_ptrs',
            'match-type-max':'match_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'DpssSnidEnum' : _MetaInfoEnum('DpssSnidEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'dpss-snid-invalid':'dpss_snid_invalid',
            'dpss-snid-index':'dpss_snid_index',
            'dpss-snid-name':'dpss_snid_name',
            'dpss-snid-type-max':'dpss_snid_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'MatchNasPortSubIdEnum' : _MetaInfoEnum('MatchNasPortSubIdEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'match-nas-port-sub-id-unspecified':'match_nas_port_sub_id_unspecified',
            'match-nas-port-sub-id-adapter':'match_nas_port_sub_id_adapter',
            'match-nas-port-sub-id-channel':'match_nas_port_sub_id_channel',
            'match-nas-port-sub-id-ip-addr':'match_nas_port_sub_id_ip_addr',
            'match-nas-port-sub-id-port':'match_nas_port_sub_id_port',
            'match-nas-port-sub-id-shelf':'match_nas_port_sub_id_shelf',
            'match-nas-port-sub-id-slot':'match_nas_port_sub_id_slot',
            'match-nas-port-sub-id-sub-interface':'match_nas_port_sub_id_sub_interface',
            'match-nas-port-sub-id-type':'match_nas_port_sub_id_type',
            'match-nas-port-sub-id-vci':'match_nas_port_sub_id_vci',
            'match-nas-port-sub-id-vlan':'match_nas_port_sub_id_vlan',
            'match-nas-port-sub-id-vpi':'match_nas_port_sub_id_vpi',
            'match-nas-port-sub-id-max':'match_nas_port_sub_id_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicyObjEncEnum' : _MetaInfoEnum('PolicyObjEncEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-obj-enc-name':'policy_obj_enc_name',
            'policy-obj-enc-hdl':'policy_obj_enc_hdl',
            'policy-obj-enc-var-idx':'policy_obj_enc_var_idx',
            'policy-obj-enc-in-line':'policy_obj_enc_in_line',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'ClassMapEnum' : _MetaInfoEnum('ClassMapEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'class-map-type-none':'class_map_type_none',
            'class-map-type-qos':'class_map_type_qos',
            'class-map-type-pbr':'class_map_type_pbr',
            'class-map-type-traffic':'class_map_type_traffic',
            'class-map-type-subs-control':'class_map_type_subs_control',
            'class-map-type-max':'class_map_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PclassExecStratEnum' : _MetaInfoEnum('PclassExecStratEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'pclass-exe-strat-unspecified':'pclass_exe_strat_unspecified',
            'pclass-exe-strat-do-all':'pclass_exe_strat_do_all',
            'pclass-exe-strat-do-until-success':'pclass_exe_strat_do_until_success',
            'pclass-exe-strat-do-until-failure':'pclass_exe_strat_do_until_failure',
            'pclass-exe-strat-max':'pclass_exe_strat_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicymgrClassMapEnum' : _MetaInfoEnum('PolicymgrClassMapEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'qos':'qos',
            'pbr':'pbr',
            'traffic':'traffic',
            'subscriber-control':'subscriber_control',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PoliceActionEnum' : _MetaInfoEnum('PoliceActionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'police-action-none':'police_action_none',
            'police-action-transmit':'police_action_transmit',
            'police-action-drop':'police_action_drop',
            'police-action-mark':'police_action_mark',
            'police-action-max':'police_action_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PlmgrVarEnum' : _MetaInfoEnum('PlmgrVarEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'plmgr-var-type-class-name':'plmgr_var_type_class_name',
            'plmgr-var-type-uint8':'plmgr_var_type_uint8',
            'plmgr-var-type-uint16':'plmgr_var_type_uint16',
            'plmgr-var-type-uint32':'plmgr_var_type_uint32',
            'plmgr-var-type-param-uint32':'plmgr_var_type_param_uint32',
            'plmgr-var-type-dscp':'plmgr_var_type_dscp',
            'plmgr-var-type-prec':'plmgr_var_type_prec',
            'plmgr-var-type-max':'plmgr_var_type_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'MatchMlpNegotiatedEnum' : _MetaInfoEnum('MatchMlpNegotiatedEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'match-mlp-negotiated-unspecified':'match_mlp_negotiated_unspecified',
            'match-mlp-negotiated':'match_mlp_negotiated',
            'match-mlp-not-negotiated':'match_mlp_not_negotiated',
            'match-mlp-max':'match_mlp_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'SharedBucketEnum' : _MetaInfoEnum('SharedBucketEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'shared-bucket-type-not-specified':'shared_bucket_type_not_specified',
            'shared-bucket-referred':'shared_bucket_referred',
            'shared-bucket-defined':'shared_bucket_defined',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicyParamUnitEnum' : _MetaInfoEnum('PolicyParamUnitEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-param-unit-invalid':'policy_param_unit_invalid',
            'policy-param-unit-bytes':'policy_param_unit_bytes',
            'policy-param-unit-kbytes':'policy_param_unit_kbytes',
            'policy-param-unit-mbytes':'policy_param_unit_mbytes',
            'policy-param-unit-gbytes':'policy_param_unit_gbytes',
            'policy-param-unit-bitsps':'policy_param_unit_bitsps',
            'policy-param-unit-kbitsps':'policy_param_unit_kbitsps',
            'policy-param-unit-mbitsps':'policy_param_unit_mbitsps',
            'policy-param-unit-gbitsps':'policy_param_unit_gbitsps',
            'policy-param-unit-cells-ps':'policy_param_unit_cells_ps',
            'policy-param-unit-packets-ps':'policy_param_unit_packets_ps',
            'policy-param-unit-us':'policy_param_unit_us',
            'policy-param-unit-ms':'policy_param_unit_ms',
            'policy-param-unit-seconds':'policy_param_unit_seconds',
            'policy-param-unit-packets':'policy_param_unit_packets',
            'policy-param-unit-cells':'policy_param_unit_cells',
            'policy-param-unit-percent':'policy_param_unit_percent',
            'policy-param-unit-per-thousand':'policy_param_unit_per_thousand',
            'policy-param-unit-per-million':'policy_param_unit_per_million',
            'policy-param-unit-hz':'policy_param_unit_hz',
            'policy-param-unit-khz':'policy_param_unit_khz',
            'policy-param-unit-mhz':'policy_param_unit_mhz',
            'policy-param-unit-ratio':'policy_param_unit_ratio',
            'policy-param-unit-max':'policy_param_unit_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'IdentifierEnum' : _MetaInfoEnum('IdentifierEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-ident-unspecified':'policy_ident_unspecified',
            'policy-ident-authen-status':'policy_ident_authen_status',
            'policy-ident-dnis':'policy_ident_dnis',
            'policy-ident-media':'policy_ident_media',
            'policy-ident-mlp-negotiated':'policy_ident_mlp_negotiated',
            'policy-ident-nas-port':'policy_ident_nas_port',
            'policy-ident-no-user-name':'policy_ident_no_user_name',
            'policy-ident-protocol':'policy_ident_protocol',
            'policy-ident-service-name':'policy_ident_service_name',
            'policy-ident-source-address-ipv4':'policy_ident_source_address_ipv4',
            'policy-ident-source-address-ipv6':'policy_ident_source_address_ipv6',
            'policy-ident-source-address-mac':'policy_ident_source_address_mac',
            'policy-ident-timer':'policy_ident_timer',
            'policy-ident-tunnel-name':'policy_ident_tunnel_name',
            'policy-ident-auth-domain':'policy_ident_auth_domain',
            'policy-ident-auth-user-name':'policy_ident_auth_user_name',
            'policy-ident-unauth-domain':'policy_ident_unauth_domain',
            'policy-ident-unauth-user-name':'policy_ident_unauth_user_name',
            'policy-ident-max':'policy_ident_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PlmgrApplnEnum' : _MetaInfoEnum('PlmgrApplnEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'qos':'qos',
            'pbr':'pbr',
            'subscriber-control':'subscriber_control',
            'accounting':'accounting',
            'traffic':'traffic',
            'performance-traffic':'performance_traffic',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicymgrPolicyMapEnum' : _MetaInfoEnum('PolicymgrPolicyMapEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'qos':'qos',
            'pbr':'pbr',
            'traffic':'traffic',
            'subscriber-control':'subscriber_control',
            'accounting':'accounting',
            'redirect':'redirect',
            'flow-monitor':'flow_monitor',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'WredEnum' : _MetaInfoEnum('WredEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'wred-cos-cmd':'wred_cos_cmd',
            'wred-dscp-cmd':'wred_dscp_cmd',
            'wred-precedence-cmd':'wred_precedence_cmd',
            'wred-discard-class-cmd':'wred_discard_class_cmd',
            'wred-mpls-exp-cmd':'wred_mpls_exp_cmd',
            'red-with-user-min-max':'red_with_user_min_max',
            'red-with-default-min-max':'red_with_default_min_max',
            'wred-dei-cmd':'wred_dei_cmd',
            'wred-ecn-cmd':'wred_ecn_cmd',
            'wred-invalid-cmd':'wred_invalid_cmd',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'ClassMapModeEnum' : _MetaInfoEnum('ClassMapModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'class-map-mode-match-any':'class_map_mode_match_any',
            'class-map-mode-match-all':'class_map_mode_match_all',
            'class-map-mode-max':'class_map_mode_max',
            'class-map-mode-usr-def':'class_map_mode_usr_def',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'VsvcServiceEnum' : _MetaInfoEnum('VsvcServiceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'vsvc-service-invalid':'vsvc_service_invalid',
            'vsvc-service-v-path':'vsvc_service_v_path',
            'vsvc-service-ipsec':'vsvc_service_ipsec',
            'vsvc-service-cgn':'vsvc_service_cgn',
            'vsvc-service-o-flow':'vsvc_service_o_flow',
            'vsvc-service-output':'vsvc_service_output',
            'vsvc-service-cfg-v-path':'vsvc_service_cfg_v_path',
            'vsvc-service-sfp':'vsvc_service_sfp',
            'vsvc-service-sfl':'vsvc_service_sfl',
            'vsvc-service-sffl':'vsvc_service_sffl',
            'vsvc-service-max':'vsvc_service_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'AcctEnum' : _MetaInfoEnum('AcctEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'policy-acct-evt-unspecified':'policy_acct_evt_unspecified',
            'policy-acct-evt-start':'policy_acct_evt_start',
            'policy-acct-evt-stop':'policy_acct_evt_stop',
            'policy-acct-evt-update':'policy_acct_evt_update',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'MatchLogicalOperatorEnum' : _MetaInfoEnum('MatchLogicalOperatorEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper',
        {
            'match-operator-unspecified':'match_operator_unspecified',
            'match-equal-to':'match_equal_to',
            'match-greater-than':'match_greater_than',
            'match-greater-than-or-equal':'match_greater_than_or_equal',
            'match-less-than':'match_less_than',
            'match-less-than-or-equal':'match_less_than_or_equal',
            'match-operator-max':'match_operator_max',
        }, 'Cisco-IOS-XR-infra-policymgr-oper', _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper']),
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmaps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar',
            False, 
            [
            _MetaInfoClassMember('var', REFERENCE_LIST, 'Var' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var', 
                [], [], 
                '''                var
                ''',
                'var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail',
            False, 
            [
            _MetaInfoClassMember('parent-pmap-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                parent pmap name
                ''',
                'parent_pmap_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                pmap type
                ''',
                'pmap_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var', REFERENCE_LIST, 'PmapVar' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar', 
                [], [], 
                '''                pmap var
                ''',
                'pmap_var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmaps', REFERENCE_LIST, 'Pmaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps', 
                [], [], 
                '''                pmaps
                ''',
                'pmaps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subscriber-grp', REFERENCE_LEAFLIST, 'str' , None, None, 
                [(0, 65)], [], 
                '''                subscriber grp
                ''',
                'subscriber_grp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail', 
                [], [], 
                '''                WORD interface name
                ''',
                'detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmaps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar',
            False, 
            [
            _MetaInfoClassMember('var', REFERENCE_LIST, 'Var' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var', 
                [], [], 
                '''                var
                ''',
                'var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail',
            False, 
            [
            _MetaInfoClassMember('parent-pmap-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                parent pmap name
                ''',
                'parent_pmap_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                pmap type
                ''',
                'pmap_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var', REFERENCE_LIST, 'PmapVar' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar', 
                [], [], 
                '''                pmap var
                ''',
                'pmap_var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmaps', REFERENCE_LIST, 'Pmaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps', 
                [], [], 
                '''                pmaps
                ''',
                'pmaps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subscriber-grp', REFERENCE_LEAFLIST, 'str' , None, None, 
                [(0, 65)], [], 
                '''                subscriber grp
                ''',
                'subscriber_grp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail', 
                [], [], 
                '''                WORD interface name
                ''',
                'detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'output',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input', 
                [], [], 
                '''                Input direction table
                ''',
                'input',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('output', REFERENCE_CLASS, 'Output' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output', 
                [], [], 
                '''                Output direction table
                ''',
                'output',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'if-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames',
            False, 
            [
            _MetaInfoClassMember('if-name', REFERENCE_LIST, 'IfName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName', 
                [], [], 
                '''                WORD interface name
                ''',
                'if_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'if-names',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('if-names', REFERENCE_CLASS, 'IfNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames', 
                [], [], 
                '''                Interface table
                ''',
                'if_names',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-applied-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMapAppliedTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMapAppliedTypes',
            False, 
            [
            _MetaInfoClassMember('policy-map-applied-type', REFERENCE_LIST, 'PolicyMapAppliedType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'policy_map_applied_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-applied-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-target-summary-per-policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps',
            False, 
            [
            _MetaInfoClassMember('transient-target-summary-per-policy-map', REFERENCE_LIST, 'TransientTargetSummaryPerPolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap', 
                [], [], 
                '''                Policy-map targets summary
                ''',
                'transient_target_summary_per_policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-target-summary-per-policy-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary',
            False, 
            [
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-target-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('parent-target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                parent target
                ''',
                'parent_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                target
                ''',
                'target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-target',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-target', REFERENCE_LIST, 'TransientPolicyMapTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget', 
                [], [], 
                '''                Transient Policy-map targets
                ''',
                'transient_policy_map_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-targets',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-policy-map-target-summary', REFERENCE_CLASS, 'TransientPolicyMapTargetSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary', 
                [], [], 
                '''                Transient Policy-map table
                ''',
                'transient_policy_map_target_summary',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-targets', REFERENCE_CLASS, 'TransientPolicyMapTargets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets', 
                [], [], 
                '''                Transient Policy-map table
                ''',
                'transient_policy_map_targets',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-target-summary-per-policy-maps', REFERENCE_CLASS, 'TransientTargetSummaryPerPolicyMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps', 
                [], [], 
                '''                Transient Policy-map table per Policy-map
                ''',
                'transient_target_summary_per_policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-targets-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapTargetsTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapTargetsTypes',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-targets-type', REFERENCE_LIST, 'TransientPolicyMapTargetsType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType', 
                [], [], 
                '''                Transient Policymgr application type
                ''',
                'transient_policy_map_targets_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-targets-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmaps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar',
            False, 
            [
            _MetaInfoClassMember('var', REFERENCE_LIST, 'Var' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var', 
                [], [], 
                '''                var
                ''',
                'var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail',
            False, 
            [
            _MetaInfoClassMember('parent-pmap-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                parent pmap name
                ''',
                'parent_pmap_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                pmap type
                ''',
                'pmap_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var', REFERENCE_LIST, 'PmapVar' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar', 
                [], [], 
                '''                pmap var
                ''',
                'pmap_var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmaps', REFERENCE_LIST, 'Pmaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps', 
                [], [], 
                '''                pmaps
                ''',
                'pmaps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subscriber-grp', REFERENCE_LEAFLIST, 'str' , None, None, 
                [(0, 65)], [], 
                '''                subscriber grp
                ''',
                'subscriber_grp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail', 
                [], [], 
                '''                Policy map
                ''',
                'detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-output',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmaps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar',
            False, 
            [
            _MetaInfoClassMember('var', REFERENCE_LIST, 'Var' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var', 
                [], [], 
                '''                var
                ''',
                'var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail',
            False, 
            [
            _MetaInfoClassMember('parent-pmap-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                parent pmap name
                ''',
                'parent_pmap_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                pmap type
                ''',
                'pmap_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var', REFERENCE_LIST, 'PmapVar' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar', 
                [], [], 
                '''                pmap var
                ''',
                'pmap_var',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmaps', REFERENCE_LIST, 'Pmaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps', 
                [], [], 
                '''                pmaps
                ''',
                'pmaps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subscriber-grp', REFERENCE_LEAFLIST, 'str' , None, None, 
                [(0, 65)], [], 
                '''                subscriber grp
                ''',
                'subscriber_grp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail', 
                [], [], 
                '''                Policy map
                ''',
                'detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-input',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-input', REFERENCE_CLASS, 'TransientInput' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput', 
                [], [], 
                '''                Input direction table
                ''',
                'transient_input',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-output', REFERENCE_CLASS, 'TransientOutput' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput', 
                [], [], 
                '''                Output direction table
                ''',
                'transient_output',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-interface-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames',
            False, 
            [
            _MetaInfoClassMember('transient-interface-name', REFERENCE_LIST, 'TransientInterfaceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName', 
                [], [], 
                '''                WORD interface name
                ''',
                'transient_interface_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-interface-names',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-interface-names', REFERENCE_CLASS, 'TransientInterfaceNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames', 
                [], [], 
                '''                Interface table
                ''',
                'transient_interface_names',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-applied-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TransientPolicyMapAppliedTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TransientPolicyMapAppliedTypes',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-applied-type', REFERENCE_LIST, 'TransientPolicyMapAppliedType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType', 
                [], [], 
                '''                Transient policy-map applied type
                ''',
                'transient_policy_map_applied_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-applied-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('parent-target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                parent target
                ''',
                'parent_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                target
                ''',
                'target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-target',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets',
            False, 
            [
            _MetaInfoClassMember('policy-map-target', REFERENCE_LIST, 'PolicyMapTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget', 
                [], [], 
                '''                Policy-map targets
                ''',
                'policy_map_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-targets',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary',
            False, 
            [
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-target-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-summary-per-policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps',
            False, 
            [
            _MetaInfoClassMember('target-summary-per-policy-map', REFERENCE_LIST, 'TargetSummaryPerPolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap', 
                [], [], 
                '''                Policy-map targets summary
                ''',
                'target_summary_per_policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-summary-per-policy-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-target-summary', REFERENCE_CLASS, 'PolicyMapTargetSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_target_summary',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-targets', REFERENCE_CLASS, 'PolicyMapTargets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_targets',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target-summary-per-policy-maps', REFERENCE_CLASS, 'TargetSummaryPerPolicyMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps', 
                [], [], 
                '''                Policy-map table per Policy-map
                ''',
                'target_summary_per_policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.TargetPolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.TargetPolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('target-policy-map-type', REFERENCE_LIST, 'TargetPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'target_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails',
            False, 
            [
            _MetaInfoClassMember('class-map-detail', REFERENCE_LIST, 'ClassMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail', 
                [], [], 
                '''                Class-map detail information
                ''',
                'class_map_detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_', 
                [], [], 
                '''                Class-map configuration
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs',
            False, 
            [
            _MetaInfoClassMember('class-map-brief', REFERENCE_LIST, 'ClassMapBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief', 
                [], [], 
                '''                Class-map brief information
                ''',
                'class_map_brief',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrClassMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-briefs', REFERENCE_CLASS, 'ClassMapBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs', 
                [], [], 
                '''                Class-map brief table
                ''',
                'class_map_briefs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-map-details', REFERENCE_CLASS, 'ClassMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails', 
                [], [], 
                '''                Class-map detail table
                ''',
                'class_map_details',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-maps', REFERENCE_CLASS, 'ClassMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps', 
                [], [], 
                '''                Class-map definition table
                ''',
                'class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap.ClassMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap.ClassMapTypes',
            False, 
            [
            _MetaInfoClassMember('class-map-type', REFERENCE_LIST, 'ClassMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'class_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.ClassMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.ClassMap',
            False, 
            [
            _MetaInfoClassMember('class-map-types', REFERENCE_CLASS, 'ClassMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap.ClassMapTypes', 
                [], [], 
                '''                Application type of a classmap
                ''',
                'class_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle',
            False, 
            [
            _MetaInfoClassMember('inline-classhandle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                inline class handle
                ''',
                'inline_classhandle',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles',
            False, 
            [
            _MetaInfoClassMember('class-handle', REFERENCE_LIST, 'ClassHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle', 
                [], [], 
                '''                Transient policy-map class handle
                ''',
                'class_handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum',
            False, 
            [
            _MetaInfoClassMember('sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                sequence number
                ''',
                'sequence_num',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-seq-num',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums',
            False, 
            [
            _MetaInfoClassMember('class-seq-num', REFERENCE_LIST, 'ClassSeqNum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum', 
                [], [], 
                '''                Transient policy-map sequence number
                ''',
                'class_seq_num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-seq-nums',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'definition',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-handles', REFERENCE_CLASS, 'ClassHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles', 
                [], [], 
                '''                Transient policy-map class handle table
                ''',
                'class_handles',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-seq-nums', REFERENCE_CLASS, 'ClassSeqNums' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums', 
                [], [], 
                '''                Transient policy-map sequence number table
                ''',
                'class_seq_nums',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('definition', REFERENCE_CLASS, 'Definition' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition', 
                [], [], 
                '''                Transient Policy-map type name
                ''',
                'definition',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-name', REFERENCE_LIST, 'TransientPolicyMapName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName', 
                [], [], 
                '''                Transient policy-map definition table
                ''',
                'transient_policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-names',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-policy-map-names', REFERENCE_CLASS, 'TransientPolicyMapNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames', 
                [], [], 
                '''                Transient policy-map definition table
                ''',
                'transient_policy_map_names',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-type', REFERENCE_LIST, 'TransientPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType', 
                [], [], 
                '''                Transient policy-map type
                ''',
                'transient_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unused',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds',
            False, 
            [
            _MetaInfoClassMember('unused', REFERENCE_LIST, 'Unused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused', 
                [], [], 
                '''                Policy-map unused information
                ''',
                'unused',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unuseds',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('unuseds', REFERENCE_CLASS, 'Unuseds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds', 
                [], [], 
                '''                Policy-map unused
                ''',
                'unuseds',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-unused-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes',
            False, 
            [
            _MetaInfoClassMember('policy-map-unused-type', REFERENCE_LIST, 'PolicyMapUnusedType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType', 
                [], [], 
                '''                Policy-map unused
                ''',
                'policy_map_unused_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-unused-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps',
            False, 
            [
            _MetaInfoClassMember('policy-map', REFERENCE_LIST, 'PolicyMap_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_', 
                [], [], 
                '''                Policy-map configuration
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails',
            False, 
            [
            _MetaInfoClassMember('policy-map-detail', REFERENCE_LIST, 'PolicyMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail', 
                [], [], 
                '''                Policy-map detail information
                ''',
                'policy_map_detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-details', REFERENCE_CLASS, 'PolicyMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_details',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-maps', REFERENCE_CLASS, 'PolicyMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps', 
                [], [], 
                '''                Policy-map definition table
                ''',
                'policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.PolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.PolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('policy-map-type', REFERENCE_LIST, 'PolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-list-unused',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds',
            False, 
            [
            _MetaInfoClassMember('transient-list-unused', REFERENCE_LIST, 'TransientListUnused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused', 
                [], [], 
                '''                Policy-map list unused
                ''',
                'transient_list_unused',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-list-unuseds',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-list-unuseds', REFERENCE_CLASS, 'TransientListUnuseds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds', 
                [], [], 
                '''                Transient policy-map list unused table
                ''',
                'transient_list_unuseds',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-type', REFERENCE_LIST, 'TransientPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType', 
                [], [], 
                '''                Transient policy-map type
                ''',
                'transient_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.PolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('policy-map-types', REFERENCE_CLASS, 'PolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapTypes', 
                [], [], 
                '''                Application type of a policymap
                ''',
                'policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-unused-types', REFERENCE_CLASS, 'PolicyMapUnusedTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes', 
                [], [], 
                '''                Policy-map unused table
                ''',
                'policy_map_unused_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-type-xr', REFERENCE_CLASS, 'TransientPolicyMapTypeXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr', 
                [], [], 
                '''                Application type of transient policy-map
                ''',
                'transient_policy_map_type_xr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-types', REFERENCE_CLASS, 'TransientPolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes', 
                [], [], 
                '''                Application type of transient policy-map list
                ''',
                'transient_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.ClassMap.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.ClassMap.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.ClassMap.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.ClassMap.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.ClassMap.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.ClassMap.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.ClassMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.ClassMap',
            False, 
            [
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.ClassMap.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.ClassMap.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.ClassMap.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.PolicyMap.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.PolicyMap.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.PolicyMap.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.PolicyMap.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.PolicyMap.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.PolicyMap.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary.PolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.PolicyMap.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.PolicyMap.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.PolicyMap.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_.Summary' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_.Summary',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.ClassMap', 
                [], [], 
                '''                Summary of Classmap database
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map', REFERENCE_LIST, 'PolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary.PolicyMap', 
                [], [], 
                '''                Summary of Policymap database
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-class-map-types', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmap types configured
                ''',
                'total_class_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps configured
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-map-types', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymap types configured
                ''',
                'total_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps configured
                ''',
                'total_policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Global_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Global_',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_CLASS, 'ClassMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.ClassMap', 
                [], [], 
                '''                List of classmap details
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map', REFERENCE_CLASS, 'PolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMap', 
                [], [], 
                '''                List of policymap details
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-applied-types', REFERENCE_CLASS, 'PolicyMapAppliedTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.PolicyMapAppliedTypes', 
                [], [], 
                '''                List of Applied policymap details
                ''',
                'policy_map_applied_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.Summary', 
                [], [], 
                '''                Summary of policy-maps and class-maps configured
                ''',
                'summary',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target-policy-map-types', REFERENCE_CLASS, 'TargetPolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TargetPolicyMapTypes', 
                [], [], 
                '''                Targets of a policymap
                ''',
                'target_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-applied-types', REFERENCE_CLASS, 'TransientPolicyMapAppliedTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapAppliedTypes', 
                [], [], 
                '''                Transient policy-map applied type
                ''',
                'transient_policy_map_applied_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-targets-types', REFERENCE_CLASS, 'TransientPolicyMapTargetsTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_.TransientPolicyMapTargetsTypes', 
                [], [], 
                '''                Transient policy-map target table
                ''',
                'transient_policy_map_targets_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('parent-target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                parent target
                ''',
                'parent_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                target
                ''',
                'target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-target',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets',
            False, 
            [
            _MetaInfoClassMember('policy-map-target', REFERENCE_LIST, 'PolicyMapTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget', 
                [], [], 
                '''                Policy-map targets
                ''',
                'policy_map_target',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-targets',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary',
            False, 
            [
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-target-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('total-child-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                input direction
                ''',
                'total_child_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-child-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalpolicymaps applied as child policy in the
                output direction
                ''',
                'total_child_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the input
                direction
                ''',
                'total_interfaces_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-interfaces-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Totalinterfaces with service-policy in the
                output direction
                ''',
                'total_interfaces_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-input-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the input direction
                ''',
                'total_policy_maps_input_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps-output-direction', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total policymapsin the output direction
                ''',
                'total_policy_maps_output_direction',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-summary-per-policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps',
            False, 
            [
            _MetaInfoClassMember('target-summary-per-policy-map', REFERENCE_LIST, 'TargetSummaryPerPolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap', 
                [], [], 
                '''                Policy-map targets summary
                ''',
                'target_summary_per_policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-summary-per-policy-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-target-summary', REFERENCE_CLASS, 'PolicyMapTargetSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_target_summary',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-targets', REFERENCE_CLASS, 'PolicyMapTargets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_targets',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target-summary-per-policy-maps', REFERENCE_CLASS, 'TargetSummaryPerPolicyMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps', 
                [], [], 
                '''                Policy-map table per Policy-map
                ''',
                'target_summary_per_policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.TargetPolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.TargetPolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('target-policy-map-type', REFERENCE_LIST, 'TargetPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'target_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'target-policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails',
            False, 
            [
            _MetaInfoClassMember('class-map-detail', REFERENCE_LIST, 'ClassMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail', 
                [], [], 
                '''                Class-map detail information
                ''',
                'class_map_detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_', 
                [], [], 
                '''                Class-map configuration
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief',
            False, 
            [
            _MetaInfoClassMember('class-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of class-map
                ''',
                'class_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs',
            False, 
            [
            _MetaInfoClassMember('class-map-brief', REFERENCE_LIST, 'ClassMapBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief', 
                [], [], 
                '''                Class-map brief information
                ''',
                'class_map_brief',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrClassMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-briefs', REFERENCE_CLASS, 'ClassMapBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs', 
                [], [], 
                '''                Class-map brief table
                ''',
                'class_map_briefs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-map-details', REFERENCE_CLASS, 'ClassMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails', 
                [], [], 
                '''                Class-map detail table
                ''',
                'class_map_details',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-maps', REFERENCE_CLASS, 'ClassMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps', 
                [], [], 
                '''                Class-map definition table
                ''',
                'class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap.ClassMapTypes',
            False, 
            [
            _MetaInfoClassMember('class-map-type', REFERENCE_LIST, 'ClassMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'class_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.ClassMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.ClassMap',
            False, 
            [
            _MetaInfoClassMember('class-map-types', REFERENCE_CLASS, 'ClassMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap.ClassMapTypes', 
                [], [], 
                '''                Application type of a classmap
                ''',
                'class_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle',
            False, 
            [
            _MetaInfoClassMember('inline-classhandle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                inline class handle
                ''',
                'inline_classhandle',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles',
            False, 
            [
            _MetaInfoClassMember('class-handle', REFERENCE_LIST, 'ClassHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle', 
                [], [], 
                '''                Transient policy-map class handle
                ''',
                'class_handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum',
            False, 
            [
            _MetaInfoClassMember('sequence-num', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                sequence number
                ''',
                'sequence_num',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-seq-num',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums',
            False, 
            [
            _MetaInfoClassMember('class-seq-num', REFERENCE_LIST, 'ClassSeqNum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum', 
                [], [], 
                '''                Transient policy-map sequence number
                ''',
                'class_seq_num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-seq-nums',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition',
            False, 
            [
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'definition',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-handles', REFERENCE_CLASS, 'ClassHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles', 
                [], [], 
                '''                Transient policy-map class handle table
                ''',
                'class_handles',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-seq-nums', REFERENCE_CLASS, 'ClassSeqNums' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums', 
                [], [], 
                '''                Transient policy-map sequence number table
                ''',
                'class_seq_nums',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('definition', REFERENCE_CLASS, 'Definition' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition', 
                [], [], 
                '''                Transient Policy-map type name
                ''',
                'definition',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-name', REFERENCE_LIST, 'TransientPolicyMapName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName', 
                [], [], 
                '''                Transient policy-map definition table
                ''',
                'transient_policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-names',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-policy-map-names', REFERENCE_CLASS, 'TransientPolicyMapNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames', 
                [], [], 
                '''                Transient policy-map definition table
                ''',
                'transient_policy_map_names',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-type', REFERENCE_LIST, 'TransientPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType', 
                [], [], 
                '''                Transient policy-map type
                ''',
                'transient_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unused',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds',
            False, 
            [
            _MetaInfoClassMember('unused', REFERENCE_LIST, 'Unused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused', 
                [], [], 
                '''                Policy-map unused information
                ''',
                'unused',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unuseds',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('unuseds', REFERENCE_CLASS, 'Unuseds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds', 
                [], [], 
                '''                Policy-map unused
                ''',
                'unuseds',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-unused-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes',
            False, 
            [
            _MetaInfoClassMember('policy-map-unused-type', REFERENCE_LIST, 'PolicyMapUnusedType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType', 
                [], [], 
                '''                Policy-map unused
                ''',
                'policy_map_unused_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-unused-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                dscp val
                ''',
                'dscp_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('param-uint32-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                param uint32 val
                ''',
                'param_uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec-val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                prec val
                ''',
                'prec_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PlmgrVarEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrVarEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint16_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                uint16 val
                ''',
                'uint16_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint32_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                uint32 val
                ''',
                'uint32_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('uint8_val', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 val
                ''',
                'uint8_val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'val',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr',
            False, 
            [
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('val', REFERENCE_CLASS, 'Val' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val', 
                [], [], 
                '''                val
                ''',
                'val',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list-arr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList',
            False, 
            [
            _MetaInfoClassMember('offset', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                offset
                ''',
                'offset',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list-arr', REFERENCE_LIST, 'PmapVarListArr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr', 
                [], [], 
                '''                pmap var list arr
                ''',
                'pmap_var_list_arr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pmap-var-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cl-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clmp-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark',
            False, 
            [
            _MetaInfoClassMember('action-mark-info', REFERENCE_LIST, 'ActionMarkInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo', 
                [], [], 
                '''                action mark info
                ''',
                'action_mark_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value-overflow', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value overflow
                ''',
                'value_overflow',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-mark2-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2',
            False, 
            [
            _MetaInfoClassMember('action-mark2-info', REFERENCE_LIST, 'ActionMark2Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info', 
                [], [], 
                '''                action mark2 info
                ''',
                'action_mark2_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark2',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'max-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo',
            False, 
            [
            _MetaInfoClassMember('match-ranges', REFERENCE_CLASS, 'MatchRanges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges', 
                [], [], 
                '''                match ranges
                ''',
                'match_ranges',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-threshold', REFERENCE_CLASS, 'MaxThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold', 
                [], [], 
                '''                max threshold
                ''',
                'max_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-threshold', REFERENCE_CLASS, 'MinThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold', 
                [], [], 
                '''                min threshold
                ''',
                'min_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('probability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                probability
                ''',
                'probability',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'WredEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'WredEnum', 
                [], [], 
                '''                cos/prec/dscp/ based WRED
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wred flags
                ''',
                'wred_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-wred-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred',
            False, 
            [
            _MetaInfoClassMember('action-wred-info', REFERENCE_LIST, 'ActionWredInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo', 
                [], [], 
                '''                action wred info
                ''',
                'action_wred_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'wred',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap',
            False, 
            [
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'encap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio',
            False, 
            [
            _MetaInfoClassMember('prio-lvl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prio lvl
                ''',
                'prio_lvl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prio',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem',
            False, 
            [
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bwrem',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw',
            False, 
            [
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'min-bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                authen password
                ''',
                'authen_password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authen-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'IdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'IdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'collect-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId',
            False, 
            [
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', REFERENCE_ENUM_CLASS, 'DecodeIdentifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DecodeIdentifierEnum', 
                [], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'decode-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer',
            False, 
            [
            _MetaInfoClassMember('absolute-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                absolute time
                ''',
                'absolute_time',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                duration
                ''',
                'duration',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'set-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer',
            False, 
            [
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                timer name
                ''',
                'timer_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'stop-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'acct-aaa-list',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp',
            False, 
            [
            _MetaInfoClassMember('enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                enable
                ''',
                'enable',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'query-ancp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg',
            False, 
            [
            _MetaInfoClassMember('prepaid-config-profile-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                prepaid config profile name
                ''',
                'prepaid_config_profile_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prepaid-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle',
            False, 
            [
            _MetaInfoClassMember('secs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                secs
                ''',
                'secs',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timeout-idle',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proxy-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('template-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                template name
                ''',
                'template_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'deact-template',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atmclp-qlim',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-values',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray',
            False, 
            [
            _MetaInfoClassMember('atmclp-qlim', REFERENCE_CLASS, 'AtmclpQlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim', 
                [], [], 
                '''                atmclp qlim
                ''',
                'atmclp_qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-values', REFERENCE_CLASS, 'MatchValues' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues', 
                [], [], 
                '''                match values
                ''',
                'match_values',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlim', REFERENCE_CLASS, 'Qlim' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim', 
                [], [], 
                '''                qlim
                ''',
                'qlim',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                qlimit flags
                ''',
                'qlimit_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'QlimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'QlimitEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-qlimit-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit',
            False, 
            [
            _MetaInfoClassMember('action-qlimit-info-array', REFERENCE_LIST, 'ActionQlimitInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray', 
                [], [], 
                '''                action qlimit info array
                ''',
                'action_qlimit_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qlimit',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('action', REFERENCE_ENUM_CLASS, 'AcctEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'AcctEnum', 
                [], [], 
                '''                action
                ''',
                'action',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'accounting-event-aaa',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId',
            False, 
            [
            _MetaInfoClassMember('aaa-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                aaa list name
                ''',
                'aaa_list_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('password', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                password
                ''',
                'password',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'authorize-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo',
            False, 
            [
            _MetaInfoClassMember('alm-grp-thresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num/percent in grp
                ''',
                'alm_grp_thresh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-severity', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Major|Minor|... alarm
                ''',
                'alm_severity',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('alm-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Discrete | grouped alarm
                ''',
                'alm_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clone-ifh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Clone interface handle
                ''',
                'clone_ifh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('criterion', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                React Criterion
                ''',
                'criterion',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Describing the oper
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('notif-actns', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bitmap of actions on alert
                ''',
                'notif_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('oper-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                React Operation ID
                ''',
                'oper_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-1', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger threshold 1/lower
                ''',
                'trig_level_1',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-level-2', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Trigger upper threshold for range
                ''',
                'trig_level_2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-num-intvls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Averaged over N intvls
                ''',
                'trig_num_intvls',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-relop', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Trigger LT|LE|GT|GE|Range
                ''',
                'trig_relop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('trig-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Immediate or averaged thresh trigger
                ''',
                'trig_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-afmon-react-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact',
            False, 
            [
            _MetaInfoClassMember('action-afmon-react-info', REFERENCE_LIST, 'ActionAfmonReactInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo', 
                [], [], 
                '''                action afmon react info
                ''',
                'action_afmon_react_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'afm-react',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr',
            False, 
            [
            _MetaInfoClassMember('redirect-url', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                redirect url
                ''',
                'redirect_url',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'httpr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node name
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'punt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy',
            False, 
            [
            _MetaInfoClassMember('app-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                application ID
                ''',
                'app_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                local ID
                ''',
                'local_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-byte', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                number of bytes
                ''',
                'num_byte',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service node index
                ''',
                'sn_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                service node url
                ''',
                'sn_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sn-type', REFERENCE_ENUM_CLASS, 'DpssSnidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'DpssSnidEnum', 
                [], [], 
                '''                service node ID type
                ''',
                'sn_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vsnode-type', REFERENCE_ENUM_CLASS, 'VsvcServiceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'VsvcServiceEnum', 
                [], [], 
                '''                vservice node type
                ''',
                'vsnode_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'copy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Service Fragment Name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'sfrag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect',
            False, 
            [
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf',
            False, 
            [
            _MetaInfoClassMember('out-ifname', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                output interface name
                ''',
                'out_ifname',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'out-intf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc',
            False, 
            [
            _MetaInfoClassMember('meta-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                metadata name
                ''',
                'meta_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                service path id
                ''',
                'path_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                service path index
                ''',
                'service_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vs-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                vservice index
                ''',
                'vs_index',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'serv-func',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'peak-burst',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cdvt',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'conform-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'exceed-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark',
            False, 
            [
            _MetaInfoClassMember('mark-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mark flags
                ''',
                'mark_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MarkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MarkEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mark',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray',
            False, 
            [
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PoliceActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PoliceActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police-action-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns',
            False, 
            [
            _MetaInfoClassMember('police-action-array', REFERENCE_LIST, 'PoliceActionArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray', 
                [], [], 
                '''                police action array
                ''',
                'police_action_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'violate-actns',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'confclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inline Class-Map flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Inline Class-Map Mode Match any/all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'inline-cmap',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode',
            False, 
            [
            _MetaInfoClassMember('class-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                class name
                ''',
                'class_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idx', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                idx
                ''',
                'idx',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('inline-cmap', REFERENCE_CLASS, 'InlineCmap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap', 
                [], [], 
                '''                inline cmap
                ''',
                'inline_cmap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-encode',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dscp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'prec',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'discard-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'qos-group',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'traffic-class',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'proto',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6',
            False, 
            [
            _MetaInfoClassMember('code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol code
                ''',
                'code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Protocol type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmp-v6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'packet-len',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-tag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag',
            False, 
            [
            _MetaInfoClassMember('match-any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Match any TCP flag bit
                ''',
                'match_any',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Value of TCP flag
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tcp-flag',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv4-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint8_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code',
            False, 
            [
            _MetaInfoClassMember('uint8_rng_array', REFERENCE_LIST, 'Uint8_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array', 
                [], [], 
                '''                uint8 rng array
                ''',
                'uint8_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'icmpv6-code',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-exp-imp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-disp-ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint32_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel',
            False, 
            [
            _MetaInfoClassMember('uint32_rng_array', REFERENCE_LIST, 'Uint32_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array', 
                [], [], 
                '''                uint32 rng array
                ''',
                'uint32_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mpls-top-label',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cos-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr',
            False, 
            [
            _MetaInfoClassMember('bit-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of the DEI bit
                ''',
                'bit_value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dei-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VLAN mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-id-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan',
            False, 
            [
            _MetaInfoClassMember('vlan-id-array', REFERENCE_LIST, 'VlanIdArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray', 
                [], [], 
                '''                vlan id array
                ''',
                'vlan_id_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vlan-inr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-dlci',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'atm-clp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fr-de',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ether-service-acl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'avail-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol',
            False, 
            [
            _MetaInfoClassMember('uint8_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                uint8 array
                ''',
                'uint8_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'subs-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dnis-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray',
            False, 
            [
            _MetaInfoClassMember('domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                domain name
                ''',
                'domain_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('format-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                format name
                ''',
                'format_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex',
            False, 
            [
            _MetaInfoClassMember('domain-array', REFERENCE_LIST, 'DomainArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray', 
                [], [], 
                '''                domain array
                ''',
                'domain_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray',
            False, 
            [
            _MetaInfoClassMember('operator', REFERENCE_ENUM_CLASS, 'MatchLogicalOperatorEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchLogicalOperatorEnum', 
                [], [], 
                '''                operator
                ''',
                'operator',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sub-id', REFERENCE_ENUM_CLASS, 'MatchNasPortSubIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchNasPortSubIdEnum', 
                [], [], 
                '''                sub id
                ''',
                'sub_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort',
            False, 
            [
            _MetaInfoClassMember('nas-port-array', REFERENCE_LIST, 'NasPortArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray', 
                [], [], 
                '''                nas port array
                ''',
                'nas_port_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nas-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'service-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4',
            False, 
            [
            _MetaInfoClassMember('ipv4-addr-array', REFERENCE_LIST, 'Ipv4AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray', 
                [], [], 
                '''                ipv4 addr array
                ''',
                'ipv4_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray',
            False, 
            [
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPV6 mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6',
            False, 
            [
            _MetaInfoClassMember('ipv6-addr-array', REFERENCE_LIST, 'Ipv6AddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray', 
                [], [], 
                '''                ipv6 addr array
                ''',
                'ipv6_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-addr-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray',
            False, 
            [
            _MetaInfoClassMember('mac-addr', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC address
                ''',
                'mac_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            _MetaInfoClassMember('mask', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                MAC mask
                ''',
                'mask',
                'Cisco-IOS-XR-infra-policymgr-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mac-addr-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac',
            False, 
            [
            _MetaInfoClassMember('mac-addr-array', REFERENCE_LIST, 'MacAddrArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray', 
                [], [], 
                '''                mac addr array
                ''',
                'mac_addr_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-addr-mac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'timer-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'tunnel-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'user-name-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-username-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'auth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'unauth-domain-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'vendor-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'access-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl',
            False, 
            [
            _MetaInfoClassMember('uint64_array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                uint64 array
                ''',
                'uint64_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'input-intfhdl',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ethertype',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys',
            False, 
            [
            _MetaInfoClassMember('keys', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                keys
                ''',
                'keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                num
                ''',
                'num',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-keys',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData',
            False, 
            [
            _MetaInfoClassMember('flow-keys', REFERENCE_CLASS, 'FlowKeys' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys', 
                [], [], 
                '''                flow keys
                ''',
                'flow_keys',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Idle timeout of flows (in seconds)
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum count of flows
                ''',
                'max_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-key-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dhcp-client-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'circuit-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex',
            False, 
            [
            _MetaInfoClassMember('string-array', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], [], 
                '''                string array
                ''',
                'string_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'remote-id-regex',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'src-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array',
            False, 
            [
            _MetaInfoClassMember('max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper limit of the range
                ''',
                'max',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower limit of the range
                ''',
                'min',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'uint16_rng_array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort',
            False, 
            [
            _MetaInfoClassMember('uint16_rng_array', REFERENCE_LIST, 'Uint16_Rng_Array' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array', 
                [], [], 
                '''                uint16 rng array
                ''',
                'uint16_rng_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'dst-port',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData',
            False, 
            [
            _MetaInfoClassMember('access-interface', REFERENCE_CLASS, 'AccessInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface', 
                [], [], 
                '''                Access interface
                ''',
                'access_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('atm-clp', REFERENCE_CLASS, 'AtmClp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp', 
                [], [], 
                '''                Match ATM CLP level
                ''',
                'atm_clp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain', REFERENCE_CLASS, 'AuthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain', 
                [], [], 
                '''                Authenticated domain name
                ''',
                'auth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-domain-regex', REFERENCE_CLASS, 'AuthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex', 
                [], [], 
                '''                Authenticated Domain Name RegEx
                ''',
                'auth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username', REFERENCE_CLASS, 'AuthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername', 
                [], [], 
                '''                Authenticated User Name
                ''',
                'auth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('auth-username-regex', REFERENCE_CLASS, 'AuthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex', 
                [], [], 
                '''                Authenticated User Name RegEx
                ''',
                'auth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-status', REFERENCE_ENUM_CLASS, 'MatchAuthenStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchAuthenStatusEnum', 
                [], [], 
                '''                Authentication Status
                ''',
                'authen_status',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('avail-id', REFERENCE_CLASS, 'AvailId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId', 
                [], [], 
                '''                Available Identifiers
                ''',
                'avail_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id', REFERENCE_CLASS, 'CircuitId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId', 
                [], [], 
                '''                Circuit ID
                ''',
                'circuit_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('circuit-id-regex', REFERENCE_CLASS, 'CircuitIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex', 
                [], [], 
                '''                Circuit ID RegEx
                ''',
                'circuit_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos', REFERENCE_CLASS, 'Cos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos', 
                [], [], 
                '''                Match CoS array
                ''',
                'cos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cos-inr', REFERENCE_CLASS, 'CosInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr', 
                [], [], 
                '''                Match inner header CoS
                ''',
                'cos_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei', REFERENCE_CLASS, 'Dei' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei', 
                [], [], 
                '''                Match DEI Bit
                ''',
                'dei',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dei-inr', REFERENCE_CLASS, 'DeiInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr', 
                [], [], 
                '''                Match inner DEI Bit
                ''',
                'dei_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id', REFERENCE_CLASS, 'DhcpClientId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId', 
                [], [], 
                '''                Dhcp Client ID
                ''',
                'dhcp_client_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dhcp-client-id-regex', REFERENCE_CLASS, 'DhcpClientIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex', 
                [], [], 
                '''                Dhcp Client ID RegEx
                ''',
                'dhcp_client_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('discard-class', REFERENCE_CLASS, 'DiscardClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass', 
                [], [], 
                '''                Match Discard Class array
                ''',
                'discard_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis', REFERENCE_CLASS, 'Dnis' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis', 
                [], [], 
                '''                DNIS
                ''',
                'dnis',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dnis-regex', REFERENCE_CLASS, 'DnisRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex', 
                [], [], 
                '''                DNIS Regular Expression
                ''',
                'dnis_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain', REFERENCE_CLASS, 'Domain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain', 
                [], [], 
                '''                Domain Name
                ''',
                'domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('domain-regex', REFERENCE_CLASS, 'DomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex', 
                [], [], 
                '''                Domain Regular Expression
                ''',
                'domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dscp', REFERENCE_CLASS, 'Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp', 
                [], [], 
                '''                Match DSCP range array
                ''',
                'dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv4', REFERENCE_CLASS, 'DstAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4', 
                [], [], 
                '''                Destination Address IPV4
                ''',
                'dst_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-addr-ipv6', REFERENCE_CLASS, 'DstAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6', 
                [], [], 
                '''                Destination Address IPV6
                ''',
                'dst_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-mac', REFERENCE_CLASS, 'DstMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac', 
                [], [], 
                '''                Match Destination MAC address
                ''',
                'dst_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('dst-port', REFERENCE_CLASS, 'DstPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort', 
                [], [], 
                '''                Destination port
                ''',
                'dst_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ether-service-acl', REFERENCE_CLASS, 'EtherServiceAcl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl', 
                [], [], 
                '''                Ethernet-Services Access-list
                ''',
                'ether_service_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ethertype', REFERENCE_CLASS, 'Ethertype' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype', 
                [], [], 
                '''                Ethernet type
                ''',
                'ethertype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-key-data', REFERENCE_CLASS, 'FlowKeyData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData', 
                [], [], 
                '''                Flow key structure
                ''',
                'flow_key_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-tag', REFERENCE_CLASS, 'FlowTag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag', 
                [], [], 
                '''                Match flow-tag array
                ''',
                'flow_tag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-de', REFERENCE_CLASS, 'FrDe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe', 
                [], [], 
                '''                Match FR DE value
                ''',
                'fr_de',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fr-dlci', REFERENCE_CLASS, 'FrDlci' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci', 
                [], [], 
                '''                Match FR DLCI range array
                ''',
                'fr_dlci',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fragment-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Fragment type
                ''',
                'fragment_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v4', REFERENCE_CLASS, 'IcmpV4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4', 
                [], [], 
                '''                Match ICMPV4 Protocol
                ''',
                'icmp_v4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmp-v6', REFERENCE_CLASS, 'IcmpV6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6', 
                [], [], 
                '''                Match ICMPV6 Protocol array
                ''',
                'icmp_v6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-code', REFERENCE_CLASS, 'Icmpv4Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code', 
                [], [], 
                '''                Match ipv4 icmp code
                ''',
                'icmpv4_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv4-type', REFERENCE_CLASS, 'Icmpv4Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type', 
                [], [], 
                '''                Match ipv4 icmp type
                ''',
                'icmpv4_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-code', REFERENCE_CLASS, 'Icmpv6Code' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code', 
                [], [], 
                '''                Match ipv6 icmp code
                ''',
                'icmpv6_code',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('icmpv6-type', REFERENCE_CLASS, 'Icmpv6Type' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type', 
                [], [], 
                '''                Match ipv6 icmp type
                ''',
                'icmpv6_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-interface', REFERENCE_CLASS, 'InputInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface', 
                [], [], 
                '''                Input interface
                ''',
                'input_interface',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('input-intfhdl', REFERENCE_CLASS, 'InputIntfhdl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl', 
                [], [], 
                '''                Input interface handle
                ''',
                'input_intfhdl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-acl', REFERENCE_CLASS, 'Ipv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl', 
                [], [], 
                '''                IPv4 Access-list
                ''',
                'ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-dscp', REFERENCE_CLASS, 'Ipv4Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp', 
                [], [], 
                '''                IPv4 DSCP
                ''',
                'ipv4_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-packet-len', REFERENCE_CLASS, 'Ipv4PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen', 
                [], [], 
                '''                IPv4 packet length array
                ''',
                'ipv4_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-prec', REFERENCE_CLASS, 'Ipv4Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec', 
                [], [], 
                '''                IPv4 Precedence
                ''',
                'ipv4_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-acl', REFERENCE_CLASS, 'Ipv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl', 
                [], [], 
                '''                IPv6 Access-list
                ''',
                'ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-dscp', REFERENCE_CLASS, 'Ipv6Dscp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp', 
                [], [], 
                '''                IPv6 DSCP
                ''',
                'ipv6_dscp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-packet-len', REFERENCE_CLASS, 'Ipv6PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen', 
                [], [], 
                '''                IPv6 packet length array
                ''',
                'ipv6_packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-prec', REFERENCE_CLASS, 'Ipv6Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec', 
                [], [], 
                '''                IPv6 Precedence
                ''',
                'ipv6_prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_CLASS, 'MediaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType', 
                [], [], 
                '''                Media Type
                ''',
                'media_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mlp-negotiated', REFERENCE_ENUM_CLASS, 'MatchMlpNegotiatedEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchMlpNegotiatedEnum', 
                [], [], 
                '''                MLP Negotiated
                ''',
                'mlp_negotiated',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv4-acl', REFERENCE_CLASS, 'MplsDispIpv4Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl', 
                [], [], 
                '''                MPLS Disposition IPv4 Access-list
                ''',
                'mpls_disp_ipv4_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-disp-ipv6-acl', REFERENCE_CLASS, 'MplsDispIpv6Acl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl', 
                [], [], 
                '''                MPLS Disposition IPv6 Access-list
                ''',
                'mpls_disp_ipv6_acl',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp', REFERENCE_CLASS, 'MplsExp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp', 
                [], [], 
                '''                Match MPLS experimental topmost array
                ''',
                'mpls_exp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-exp-imp', REFERENCE_CLASS, 'MplsExpImp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp', 
                [], [], 
                '''                Match MPLS experimental imposition array
                ''',
                'mpls_exp_imp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-eos', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                MPLS Topmost EOS
                ''',
                'mpls_top_eos',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mpls-top-label', REFERENCE_CLASS, 'MplsTopLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel', 
                [], [], 
                '''                MPLS Topmost LABEL
                ''',
                'mpls_top_label',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nas-port', REFERENCE_CLASS, 'NasPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort', 
                [], [], 
                '''                NAS Port
                ''',
                'nas_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('packet-len', REFERENCE_CLASS, 'PacketLen' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen', 
                [], [], 
                '''                Match packet length array
                ''',
                'packet_len',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prec', REFERENCE_CLASS, 'Prec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec', 
                [], [], 
                '''                Match Precedence array
                ''',
                'prec',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proto', REFERENCE_CLASS, 'Proto' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto', 
                [], [], 
                '''                Match Protocol array
                ''',
                'proto',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qos-group', REFERENCE_CLASS, 'QosGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup', 
                [], [], 
                '''                Match QoS group array
                ''',
                'qos_group',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id', REFERENCE_CLASS, 'RemoteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId', 
                [], [], 
                '''                Remote ID
                ''',
                'remote_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('remote-id-regex', REFERENCE_CLASS, 'RemoteIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex', 
                [], [], 
                '''                Remote ID RegEx
                ''',
                'remote_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name', REFERENCE_CLASS, 'ServiceName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName', 
                [], [], 
                '''                Service Name
                ''',
                'service_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('service-name-regex', REFERENCE_CLASS, 'ServiceNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex', 
                [], [], 
                '''                Service Name Regular Exp
                ''',
                'service_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv4', REFERENCE_CLASS, 'SrcAddrIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4', 
                [], [], 
                '''                Source Address IPV4
                ''',
                'src_addr_ipv4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-ipv6', REFERENCE_CLASS, 'SrcAddrIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6', 
                [], [], 
                '''                Source Address IPV6
                ''',
                'src_addr_ipv6',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-addr-mac', REFERENCE_CLASS, 'SrcAddrMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac', 
                [], [], 
                '''                Source Address MAC
                ''',
                'src_addr_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-mac', REFERENCE_CLASS, 'SrcMac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac', 
                [], [], 
                '''                Match Source MAC address
                ''',
                'src_mac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('src-port', REFERENCE_CLASS, 'SrcPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort', 
                [], [], 
                '''                Source port
                ''',
                'src_port',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('subs-protocol', REFERENCE_CLASS, 'SubsProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol', 
                [], [], 
                '''                Protocol
                ''',
                'subs_protocol',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tcp-flag', REFERENCE_CLASS, 'TcpFlag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag', 
                [], [], 
                '''                Match tcp flag value
                ''',
                'tcp_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer', REFERENCE_CLASS, 'Timer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer', 
                [], [], 
                '''                Timer
                ''',
                'timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timer-regexp', REFERENCE_CLASS, 'TimerRegexp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp', 
                [], [], 
                '''                Timer Regular Expression
                ''',
                'timer_regexp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('traffic-class', REFERENCE_CLASS, 'TrafficClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass', 
                [], [], 
                '''                Match Traffic class array
                ''',
                'traffic_class',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name', REFERENCE_CLASS, 'TunnelName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName', 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('tunnel-name-regex', REFERENCE_CLASS, 'TunnelNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex', 
                [], [], 
                '''                Tunnel Name Regular Expression
                ''',
                'tunnel_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MatchEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'MatchEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain', REFERENCE_CLASS, 'UnauthDomain' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain', 
                [], [], 
                '''                Unauthenticated Domain Name
                ''',
                'unauth_domain',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-domain-regex', REFERENCE_CLASS, 'UnauthDomainRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex', 
                [], [], 
                '''                Unauthenticated Domain Name RegEx
                ''',
                'unauth_domain_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username', REFERENCE_CLASS, 'UnauthUsername' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername', 
                [], [], 
                '''                Unauthenticated User Name
                ''',
                'unauth_username',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('unauth-username-regex', REFERENCE_CLASS, 'UnauthUsernameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex', 
                [], [], 
                '''                Unauthenticated User Name RegEx
                ''',
                'unauth_username_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name', REFERENCE_CLASS, 'UserName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName', 
                [], [], 
                '''                User Name
                ''',
                'user_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('user-name-regex', REFERENCE_CLASS, 'UserNameRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex', 
                [], [], 
                '''                User Name Regular Expression
                ''',
                'user_name_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id', REFERENCE_CLASS, 'VendorId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId', 
                [], [], 
                '''                Vendor ID
                ''',
                'vendor_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vendor-id-regex', REFERENCE_CLASS, 'VendorIdRegex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex', 
                [], [], 
                '''                Vendor ID RegEx
                ''',
                'vendor_id_regex',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan', REFERENCE_CLASS, 'Vlan' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan', 
                [], [], 
                '''                Match VLAN array
                ''',
                'vlan',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vlan-inr', REFERENCE_CLASS, 'VlanInr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr', 
                [], [], 
                '''                Match inner header VLAN range array
                ''',
                'vlan_inr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-data',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt',
            False, 
            [
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-data', REFERENCE_CLASS, 'MatchData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData', 
                [], [], 
                '''                Match criteria
                ''',
                'match_data',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-match-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop',
            False, 
            [
            _MetaInfoClassMember('class-match-info-st', REFERENCE_LIST, 'ClassMatchInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt', 
                [], [], 
                '''                class match info st
                ''',
                'class_match_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'match-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Class-Map Internal
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Magic number on top of class-map bag
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Match infos
                ''',
                'match_count',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('match-infop', REFERENCE_CLASS, 'MatchInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop', 
                [], [], 
                '''                Pointer to the first Match info
                ''',
                'match_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'ClassMapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapModeEnum', 
                [], [], 
                '''                Class-Map Mode Match any/Match all
                ''',
                'mode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Name of the class-map
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                Class-Map Type QoS/PBR/Netflow/...
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP',
            False, 
            [
            _MetaInfoClassMember('class-map-bg', REFERENCE_LIST, 'ClassMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg', 
                [], [], 
                '''                class map bg
                ''',
                'class_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'excdclass-p',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police',
            False, 
            [
            _MetaInfoClassMember('burst', REFERENCE_CLASS, 'Burst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst', 
                [], [], 
                '''                burst
                ''',
                'burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cdvt', REFERENCE_CLASS, 'Cdvt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt', 
                [], [], 
                '''                cdvt
                ''',
                'cdvt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-encode', REFERENCE_CLASS, 'ConfclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode', 
                [], [], 
                '''                confclass encode
                ''',
                'confclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('confclass-p', REFERENCE_CLASS, 'ConfclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP', 
                [], [], 
                '''                confclass p
                ''',
                'confclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('conform-actns', REFERENCE_CLASS, 'ConformActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns', 
                [], [], 
                '''                conform actns
                ''',
                'conform_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-encode', REFERENCE_CLASS, 'ExcdclassEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode', 
                [], [], 
                '''                excdclass encode
                ''',
                'excdclass_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('excdclass-p', REFERENCE_CLASS, 'ExcdclassP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP', 
                [], [], 
                '''                excdclass p
                ''',
                'excdclass_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exceed-actns', REFERENCE_CLASS, 'ExceedActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns', 
                [], [], 
                '''                exceed actns
                ''',
                'exceed_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-burst', REFERENCE_CLASS, 'PeakBurst' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst', 
                [], [], 
                '''                peak burst
                ''',
                'peak_burst',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('peak-rate', REFERENCE_CLASS, 'PeakRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate', 
                [], [], 
                '''                peak rate
                ''',
                'peak_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                police flags
                ''',
                'police_flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                sbuck name
                ''',
                'sbuck_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sbuck-type', REFERENCE_ENUM_CLASS, 'SharedBucketEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'SharedBucketEnum', 
                [], [], 
                '''                sbuck type
                ''',
                'sbuck_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('violate-actns', REFERENCE_CLASS, 'ViolateActns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns', 
                [], [], 
                '''                violate actns
                ''',
                'violate_actns',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'police',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'bw',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'be',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape',
            False, 
            [
            _MetaInfoClassMember('be', REFERENCE_CLASS, 'Be' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be', 
                [], [], 
                '''                be
                ''',
                'be',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bw', REFERENCE_CLASS, 'Bw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw', 
                [], [], 
                '''                bw
                ''',
                'bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'shape',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info',
            False, 
            [
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd',
            False, 
            [
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'data-hd',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo',
            False, 
            [
            _MetaInfoClassMember('data-hd', REFERENCE_CLASS, 'DataHd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd', 
                [], [], 
                '''                data hd
                ''',
                'data_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                hd
                ''',
                'hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'hd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy',
            False, 
            [
            _MetaInfoClassMember('enc', REFERENCE_ENUM_CLASS, 'PolicyObjEncEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyObjEncEnum', 
                [], [], 
                '''                enc
                ''',
                'enc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('hd-info', REFERENCE_CLASS, 'HdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo', 
                [], [], 
                '''                hd info
                ''',
                'hd_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('info', REFERENCE_CLASS, 'Info' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info', 
                [], [], 
                '''                info
                ''',
                'info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'child-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac',
            False, 
            [
            _MetaInfoClassMember('cac-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                cac type
                ''',
                'cac_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-rate', REFERENCE_CLASS, 'FlowRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate', 
                [], [], 
                '''                flow rate
                ''',
                'flow_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('idle-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                idle timeout
                ''',
                'idle_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rate', REFERENCE_CLASS, 'Rate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate', 
                [], [], 
                '''                rate
                ''',
                'rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'cac',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'buffer-size',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pause-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'resume-threshold',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc',
            False, 
            [
            _MetaInfoClassMember('buffer-size', REFERENCE_CLASS, 'BufferSize' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize', 
                [], [], 
                '''                buffer size
                ''',
                'buffer_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('buffer-size-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                buffer size flag
                ''',
                'buffer_size_flag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pause-threshold', REFERENCE_CLASS, 'PauseThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold', 
                [], [], 
                '''                pause threshold
                ''',
                'pause_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc-pause-set', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pfc pause set
                ''',
                'pfc_pause_set',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('resume-threshold', REFERENCE_CLASS, 'ResumeThreshold' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold', 
                [], [], 
                '''                resume threshold
                ''',
                'resume_threshold',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pfc',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm',
            False, 
            [
            _MetaInfoClassMember('flow-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                timeout in secs
                ''',
                'flow_timeout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('intvl-hist', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num intervals of data stored on rtr
                ''',
                'intvl_hist',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-mon-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max simult flows monitored per policy class
                ''',
                'max_mon_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mon-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                monitored interval duration in secs
                ''',
                'mon_interval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'flow-parm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'media-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-bit-rate', REFERENCE_CLASS, 'MediaBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate', 
                [], [], 
                '''                media data rate in bps
                ''',
                'media_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkt-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packet size in bytes
                ''',
                'media_pkt_size',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('media-pkts-per-ip', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                media packets per ip pkt
                ''',
                'media_pkts_per_ip',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipcbr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-mmr',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-j2k',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate',
            False, 
            [
            _MetaInfoClassMember('frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                frequency
                ''',
                'frequency',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pt', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pt
                ''',
                'pt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'clock-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clock-rate', REFERENCE_LIST, 'ClockRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate', 
                [], [], 
                '''                clock rate
                ''',
                'clock_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-dropout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max dropout
                ''',
                'max_dropout',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-misorder', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max misorder
                ''',
                'max_misorder',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-sequential', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                min sequential
                ''',
                'min_sequential',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq-ext-cop4', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                enable seq extension cop4
                ''',
                'seq_ext_cop4',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'rtp-voice',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate',
            False, 
            [
            _MetaInfoClassMember('unit', REFERENCE_ENUM_CLASS, 'PolicyParamUnitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyParamUnitEnum', 
                [], [], 
                '''                unit
                ''',
                'unit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                value
                ''',
                'value',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ip-bit-rate',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp',
            False, 
            [
            _MetaInfoClassMember('action-metric-type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                metric type
                ''',
                'action_metric_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('filtered-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                filtered packet rate
                ''',
                'filtered_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-bit-rate', REFERENCE_CLASS, 'IpBitRate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate', 
                [], [], 
                '''                data rate in bps
                ''',
                'ip_bit_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ip-pkt-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                packet rate in pps
                ''',
                'ip_pkt_rate',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pids', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                array of monitoredcd  pids
                ''',
                'pids',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'mdi-rtp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm',
            False, 
            [
            _MetaInfoClassMember('fmm-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                flow monitor name
                ''',
                'fmm_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'fmm',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                v4 or v6 address
                ''',
                'addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                route target
                ''',
                'rt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rt-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                route target type
                ''',
                'rt_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                vrf name
                ''',
                'vrf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-pbf-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf',
            False, 
            [
            _MetaInfoClassMember('action-pbf-info-array', REFERENCE_LIST, 'ActionPbfInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray', 
                [], [], 
                '''                action pbf info array
                ''',
                'action_pbf_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'pbf',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                nh addr
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv4-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv4-nh-info-array', REFERENCE_LIST, 'ActionIpv4NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray', 
                [], [], 
                '''                action ipv4 nh info array
                ''',
                'action_ipv4_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv4-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray',
            False, 
            [
            _MetaInfoClassMember('nh-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'nh_addr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Vrf name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'action-ipv6-nh-info-array',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh',
            False, 
            [
            _MetaInfoClassMember('action-ipv6-nh-info-array', REFERENCE_LIST, 'ActionIpv6NhInfoArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray', 
                [], [], 
                '''                action ipv6 nh info array
                ''',
                'action_ipv6_nh_info_array',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'ipv6-nh',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp',
            False, 
            [
            _MetaInfoClassMember('accounting-event-aaa', REFERENCE_CLASS, 'AccountingEventAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa', 
                [], [], 
                '''                accounting event aaa
                ''',
                'accounting_event_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('acct-aaa-list', REFERENCE_CLASS, 'AcctAaaList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList', 
                [], [], 
                '''                acct aaa list
                ''',
                'acct_aaa_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('act-template', REFERENCE_CLASS, 'ActTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate', 
                [], [], 
                '''                act template
                ''',
                'act_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('afm-react', REFERENCE_CLASS, 'AfmReact' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact', 
                [], [], 
                '''                afm react
                ''',
                'afm_react',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authen-aaa', REFERENCE_CLASS, 'AuthenAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa', 
                [], [], 
                '''                authen aaa
                ''',
                'authen_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('authorize-id', REFERENCE_CLASS, 'AuthorizeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId', 
                [], [], 
                '''                authorize id
                ''',
                'authorize_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('bwrem', REFERENCE_CLASS, 'Bwrem' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem', 
                [], [], 
                '''                bwrem
                ''',
                'bwrem',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cac', REFERENCE_CLASS, 'Cac' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac', 
                [], [], 
                '''                cac
                ''',
                'cac',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('child-policy', REFERENCE_CLASS, 'ChildPolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy', 
                [], [], 
                '''                child policy
                ''',
                'child_policy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('collect-id', REFERENCE_CLASS, 'CollectId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId', 
                [], [], 
                '''                collect id
                ''',
                'collect_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('copy', REFERENCE_CLASS, 'Copy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy', 
                [], [], 
                '''                copy
                ''',
                'copy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('data-p', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data p
                ''',
                'data_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('deact-template', REFERENCE_CLASS, 'DeactTemplate' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate', 
                [], [], 
                '''                deact template
                ''',
                'deact_template',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('decode-id', REFERENCE_CLASS, 'DecodeId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId', 
                [], [], 
                '''                decode id
                ''',
                'decode_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('encap', REFERENCE_CLASS, 'Encap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap', 
                [], [], 
                '''                encap
                ''',
                'encap',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flow-parm', REFERENCE_CLASS, 'FlowParm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm', 
                [], [], 
                '''                flow parm
                ''',
                'flow_parm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('fmm', REFERENCE_CLASS, 'Fmm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm', 
                [], [], 
                '''                fmm
                ''',
                'fmm',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('httpr', REFERENCE_CLASS, 'Httpr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr', 
                [], [], 
                '''                httpr
                ''',
                'httpr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipcbr', REFERENCE_CLASS, 'Ipcbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr', 
                [], [], 
                '''                ipcbr
                ''',
                'ipcbr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv4-nh', REFERENCE_CLASS, 'Ipv4Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh', 
                [], [], 
                '''                ipv4 nh
                ''',
                'ipv4_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ipv6-nh', REFERENCE_CLASS, 'Ipv6Nh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh', 
                [], [], 
                '''                ipv6 nh
                ''',
                'ipv6_nh',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark', REFERENCE_CLASS, 'Mark' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark', 
                [], [], 
                '''                mark
                ''',
                'mark',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mark2', REFERENCE_CLASS, 'Mark2' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2', 
                [], [], 
                '''                mark2
                ''',
                'mark2',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi', REFERENCE_CLASS, 'Mdi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi', 
                [], [], 
                '''                mdi
                ''',
                'mdi',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('mdi-rtp', REFERENCE_CLASS, 'MdiRtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp', 
                [], [], 
                '''                mdi rtp
                ''',
                'mdi_rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('min-bw', REFERENCE_CLASS, 'MinBw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw', 
                [], [], 
                '''                min bw
                ''',
                'min_bw',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('out-intf', REFERENCE_CLASS, 'OutIntf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf', 
                [], [], 
                '''                out intf
                ''',
                'out_intf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pbf', REFERENCE_CLASS, 'Pbf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf', 
                [], [], 
                '''                pbf
                ''',
                'pbf',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pfc', REFERENCE_CLASS, 'Pfc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc', 
                [], [], 
                '''                pfc
                ''',
                'pfc',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('police', REFERENCE_CLASS, 'Police' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police', 
                [], [], 
                '''                police
                ''',
                'police',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prepaid-cfg', REFERENCE_CLASS, 'PrepaidCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg', 
                [], [], 
                '''                prepaid cfg
                ''',
                'prepaid_cfg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('prio', REFERENCE_CLASS, 'Prio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio', 
                [], [], 
                '''                prio
                ''',
                'prio',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('proxy-aaa', REFERENCE_CLASS, 'ProxyAaa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa', 
                [], [], 
                '''                proxy aaa
                ''',
                'proxy_aaa',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('punt', REFERENCE_CLASS, 'Punt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt', 
                [], [], 
                '''                punt
                ''',
                'punt',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('qlimit', REFERENCE_CLASS, 'Qlimit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit', 
                [], [], 
                '''                qlimit
                ''',
                'qlimit',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('query-ancp', REFERENCE_CLASS, 'QueryAncp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp', 
                [], [], 
                '''                query ancp
                ''',
                'query_ancp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('redirect', REFERENCE_CLASS, 'Redirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect', 
                [], [], 
                '''                redirect
                ''',
                'redirect',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp', REFERENCE_CLASS, 'Rtp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp', 
                [], [], 
                '''                rtp
                ''',
                'rtp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-j2k', REFERENCE_CLASS, 'RtpJ2K' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K', 
                [], [], 
                '''                rtp j2k
                ''',
                'rtp_j2k',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-mmr', REFERENCE_CLASS, 'RtpMmr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr', 
                [], [], 
                '''                rtp mmr
                ''',
                'rtp_mmr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rtp-voice', REFERENCE_CLASS, 'RtpVoice' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice', 
                [], [], 
                '''                rtp voice
                ''',
                'rtp_voice',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('serv-func', REFERENCE_CLASS, 'ServFunc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc', 
                [], [], 
                '''                serv func
                ''',
                'serv_func',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('set-timer', REFERENCE_CLASS, 'SetTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer', 
                [], [], 
                '''                set timer
                ''',
                'set_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('sfrag', REFERENCE_CLASS, 'Sfrag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag', 
                [], [], 
                '''                sfrag
                ''',
                'sfrag',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('shape', REFERENCE_CLASS, 'Shape' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape', 
                [], [], 
                '''                shape
                ''',
                'shape',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('stop-timer', REFERENCE_CLASS, 'StopTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer', 
                [], [], 
                '''                stop timer
                ''',
                'stop_timer',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('timeout-idle', REFERENCE_CLASS, 'TimeoutIdle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle', 
                [], [], 
                '''                timeout idle
                ''',
                'timeout_idle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyActionEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('wred', REFERENCE_CLASS, 'Wred' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred', 
                [], [], 
                '''                wred
                ''',
                'wred',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'actp',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt',
            False, 
            [
            _MetaInfoClassMember('actp', REFERENCE_CLASS, 'Actp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp', 
                [], [], 
                '''                actp
                ''',
                'actp',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-action-info-st',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop',
            False, 
            [
            _MetaInfoClassMember('policy-action-info-st', REFERENCE_LIST, 'PolicyActionInfoSt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt', 
                [], [], 
                '''                policy action info st
                ''',
                'policy_action_info_st',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'act-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg',
            False, 
            [
            _MetaInfoClassMember('act-infop', REFERENCE_CLASS, 'ActInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop', 
                [], [], 
                '''                act infop
                ''',
                'act_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cl-encode', REFERENCE_CLASS, 'ClEncode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode', 
                [], [], 
                '''                cl encode
                ''',
                'cl_encode',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('clmp-p', REFERENCE_CLASS, 'ClmpP' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP', 
                [], [], 
                '''                clmp p
                ''',
                'clmp_p',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'ClassMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'ClassMapEnum', 
                [], [], 
                '''                ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('exe-strat', REFERENCE_ENUM_CLASS, 'PclassExecStratEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PclassExecStratEnum', 
                [], [], 
                '''                exe strat
                ''',
                'exe_strat',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-actions', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                num actions
                ''',
                'num_actions',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-class-hd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                policy class hd
                ''',
                'policy_class_hd',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('seq', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                seq
                ''',
                'seq',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                version
                ''',
                'version',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-class-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop',
            False, 
            [
            _MetaInfoClassMember('policy-class-info-bg', REFERENCE_LIST, 'PolicyClassInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg', 
                [], [], 
                '''                policy class info bg
                ''',
                'policy_class_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg',
            False, 
            [
            _MetaInfoClassMember('avl-tree', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                avl tree
                ''',
                'avl_tree',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-infop', REFERENCE_CLASS, 'ClassInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop', 
                [], [], 
                '''                class infop
                ''',
                'class_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('cond-eval', REFERENCE_ENUM_CLASS, 'PeventCondEvalEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventCondEvalEnum', 
                [], [], 
                '''                cond eval
                ''',
                'cond_eval',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-type', REFERENCE_ENUM_CLASS, 'PeventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PeventEnum', 
                [], [], 
                '''                event type
                ''',
                'event_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-event-info-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop',
            False, 
            [
            _MetaInfoClassMember('policy-event-info-bg', REFERENCE_LIST, 'PolicyEventInfoBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg', 
                [], [], 
                '''                policy event info bg
                ''',
                'policy_event_info_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'event-infop',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg',
            False, 
            [
            _MetaInfoClassMember('chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                MD5 checksum of the encoded class-map bag
                ''',
                'chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('class-dflt-hrchy-depth', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                class dflt hrchy depth
                ''',
                'class_dflt_hrchy_depth',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                description
                ''',
                'description',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('event-infop', REFERENCE_CLASS, 'EventInfop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop', 
                [], [], 
                '''                event infop
                ''',
                'event_infop',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                flags
                ''',
                'flags',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                handle
                ''',
                'handle',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('magic', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                magic
                ''',
                'magic',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('max-hierarchy', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                max hierarchy
                ''',
                'max_hierarchy',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                name
                ''',
                'name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-classes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num classes
                ''',
                'num_classes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('num-policy-class-info', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                num policy class info
                ''',
                'num_policy_class_info',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pclass-diff', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                pclass diff
                ''',
                'pclass_diff',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('pmap-var-list', REFERENCE_CLASS, 'PmapVarList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList', 
                [], [], 
                '''                pmap var list
                ''',
                'pmap_var_list',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('rateless-chk-sum', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                rateless chk sum
                ''',
                'rateless_chk_sum',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                table id
                ''',
                'table_id',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyMapEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-bg',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-bg', REFERENCE_LIST, 'PolicyMapBg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg', 
                [], [], 
                '''                policy map bg
                ''',
                'policy_map_bg',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps',
            False, 
            [
            _MetaInfoClassMember('policy-map', REFERENCE_LIST, 'PolicyMap_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_', 
                [], [], 
                '''                Policy-map configuration
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails',
            False, 
            [
            _MetaInfoClassMember('policy-map-detail', REFERENCE_LIST, 'PolicyMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail', 
                [], [], 
                '''                Policy-map detail information
                ''',
                'policy_map_detail',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('policy-map-details', REFERENCE_CLASS, 'PolicyMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails', 
                [], [], 
                '''                Policy-map table
                ''',
                'policy_map_details',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-maps', REFERENCE_CLASS, 'PolicyMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps', 
                [], [], 
                '''                Policy-map definition table
                ''',
                'policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('policy-map-type', REFERENCE_LIST, 'PolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType', 
                [], [], 
                '''                Policymgr application type
                ''',
                'policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused',
            False, 
            [
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 63)], [], 
                '''                Name of policy-map
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-list-unused',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds',
            False, 
            [
            _MetaInfoClassMember('transient-list-unused', REFERENCE_LIST, 'TransientListUnused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused', 
                [], [], 
                '''                Policy-map list unused
                ''',
                'transient_list_unused',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-list-unuseds',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType',
            False, 
            [
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'PolicymgrPolicyMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicymgrPolicyMapEnum', 
                [], [], 
                '''                The application type
                ''',
                'type',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('transient-list-unuseds', REFERENCE_CLASS, 'TransientListUnuseds' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds', 
                [], [], 
                '''                Transient policy-map list unused table
                ''',
                'transient_list_unuseds',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-type',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes',
            False, 
            [
            _MetaInfoClassMember('transient-policy-map-type', REFERENCE_LIST, 'TransientPolicyMapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType', 
                [], [], 
                '''                Transient policy-map type
                ''',
                'transient_policy_map_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'transient-policy-map-types',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.PolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('policy-map-types', REFERENCE_CLASS, 'PolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes', 
                [], [], 
                '''                Application type of a policymap
                ''',
                'policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-unused-types', REFERENCE_CLASS, 'PolicyMapUnusedTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes', 
                [], [], 
                '''                Policy-map unused table
                ''',
                'policy_map_unused_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-type-xr', REFERENCE_CLASS, 'TransientPolicyMapTypeXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr', 
                [], [], 
                '''                Application type of transient policy-map
                ''',
                'transient_policy_map_type_xr',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient-policy-map-types', REFERENCE_CLASS, 'TransientPolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes', 
                [], [], 
                '''                Application type of transient policy-map list
                ''',
                'transient_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.ClassMap.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.ClassMap.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.ClassMap.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.ClassMap.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.ClassMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.ClassMap',
            False, 
            [
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.ClassMap.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.ClassMap.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.PolicyMap.Reference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.PolicyMap.Reference',
            False, 
            [
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps in a Policymap
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total flows in a Policymap
                ''',
                'total_flows',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-internal-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of internal reference objects
                ''',
                'total_internal_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.PolicyMap.Object' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.PolicyMap.Object',
            False, 
            [
            _MetaInfoClassMember('object-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of object (Policymap/Classmap)
                ''',
                'object_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'object',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference',
            False, 
            [
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Name of Policymap referencing a Classmap
                ''',
                'policy_map_name',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference',
            False, 
            [
            _MetaInfoClassMember('policy-map-reference', REFERENCE_LIST, 'PolicyMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference', 
                [], [], 
                '''                List of Policymaps referencing a Classmap
                ''',
                'policy_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-reference-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps referencing a
                Classmap
                ''',
                'total_reference_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'class-map-reference',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary.PolicyMap' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary.PolicyMap',
            False, 
            [
            _MetaInfoClassMember('class-map-reference', REFERENCE_LIST, 'ClassMapReference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference', 
                [], [], 
                '''                Each Classmapdetails
                ''',
                'class_map_reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object', REFERENCE_LIST, 'Object' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.PolicyMap.Object', 
                [], [], 
                '''                Each object details
                ''',
                'object',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('object-type', REFERENCE_ENUM_CLASS, 'PlmgrApplnEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PlmgrApplnEnum', 
                [], [], 
                '''                Application type configured
                ''',
                'object_type',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('reference', REFERENCE_LIST, 'Reference' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.PolicyMap.Reference', 
                [], [], 
                '''                Each Policymap details
                ''',
                'reference',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-objects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of objects configured for a
                specific object type
                ''',
                'total_objects',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('transient', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Transient object
                ''',
                'transient',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-map',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node.Summary' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node.Summary',
            False, 
            [
            _MetaInfoClassMember('class-map', REFERENCE_LIST, 'ClassMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.ClassMap', 
                [], [], 
                '''                Summary of Classmap database
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map', REFERENCE_LIST, 'PolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary.PolicyMap', 
                [], [], 
                '''                Summary of Policymap database
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-class-map-types', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmap types configured
                ''',
                'total_class_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-class-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Classmaps configured
                ''',
                'total_class_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-map-types', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymap types configured
                ''',
                'total_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('total-policy-maps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Policymaps configured
                ''',
                'total_policy_maps',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes.Node' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes.Node',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node name
                ''',
                'node_name',
                'Cisco-IOS-XR-infra-policymgr-oper', True),
            _MetaInfoClassMember('class-map', REFERENCE_CLASS, 'ClassMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.ClassMap', 
                [], [], 
                '''                List of classmap details
                ''',
                'class_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('policy-map', REFERENCE_CLASS, 'PolicyMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.PolicyMap', 
                [], [], 
                '''                List of policymap details
                ''',
                'policy_map',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.Summary', 
                [], [], 
                '''                Summary of policy-maps and class-maps configured
                ''',
                'summary',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('target-policy-map-types', REFERENCE_CLASS, 'TargetPolicyMapTypes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node.TargetPolicyMapTypes', 
                [], [], 
                '''                Targets of a policymap
                ''',
                'target_policy_map_types',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'node',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager.Nodes' : {
        'meta_info' : _MetaInfoClass('PolicyManager.Nodes',
            False, 
            [
            _MetaInfoClassMember('node', REFERENCE_LIST, 'Node' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes.Node', 
                [], [], 
                '''                Policymgr operational data for a particular
                node
                ''',
                'node',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
    'PolicyManager' : {
        'meta_info' : _MetaInfoClass('PolicyManager',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Global_', 
                [], [], 
                '''                Global QOS operational data
                ''',
                'global_',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            _MetaInfoClassMember('nodes', REFERENCE_CLASS, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper', 'PolicyManager.Nodes', 
                [], [], 
                '''                Node-specific Policymgr operational data
                ''',
                'nodes',
                'Cisco-IOS-XR-infra-policymgr-oper', False),
            ],
            'Cisco-IOS-XR-infra-policymgr-oper',
            'policy-manager',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-policymgr-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_infra_policymgr_oper'
        ),
    },
}
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar.Var']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.Pmaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail.PmapVar']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input.Detail']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar.Var']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.Pmaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail.PmapVar']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output.Detail']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Input']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName.Output']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames.IfName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType.IfNames']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes.PolicyMapAppliedType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps.TransientTargetSummaryPerPolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets.TransientPolicyMapTarget']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientTargetSummaryPerPolicyMaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargetSummary']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType.TransientPolicyMapTargets']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes.TransientPolicyMapTargetsType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar.Var']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.Pmaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail.PmapVar']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput.Detail']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar.Var']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.Pmaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail.PmapVar']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput.Detail']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientOutput']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName.TransientInput']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames.TransientInterfaceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType.TransientInterfaceNames']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes.TransientPolicyMapAppliedType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Global_.TargetPolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes.ClassMapType']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap.ClassMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_.ClassMap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypeXr']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapUnusedTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.PolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap.TransientPolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.ClassMap.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.ClassMap.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.Summary.ClassMap.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.ClassMap.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.ClassMap.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.PolicyMap.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.PolicyMap.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Global_.Summary.PolicyMap.Reference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.PolicyMap.Object']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.PolicyMap.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Global_.Summary.ClassMap']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary']['meta_info']
_meta_table['PolicyManager.Global_.Summary.PolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Global_.Summary']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMapAppliedTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapTargetsTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.TransientPolicyMapAppliedTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.TargetPolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.ClassMap']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.PolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Global_.Summary']['meta_info'].parent =_meta_table['PolicyManager.Global_']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets.PolicyMapTarget']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps.TargetSummaryPerPolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargets']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.PolicyMapTargetSummary']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType.TargetSummaryPerPolicyMaps']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes.TargetPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails.ClassMapDetail']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps.ClassMap_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs.ClassMapBrief']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapDetails']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMaps']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType.ClassMapBriefs']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes.ClassMapType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap.ClassMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.ClassMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles.ClassHandle']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums.ClassSeqNum']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassHandles']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.ClassSeqNums']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName.Definition']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames.TransientPolicyMapName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType.TransientPolicyMapNames']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr.TransientPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds.Unused']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType.Unuseds']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes.PolicyMapUnusedType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr.Val']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList.PmapVarListArr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark.ActionMarkInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2.ActionMark2Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MatchRanges']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MinThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo.MaxThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred.ActionWredInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem.Bwrem_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.Qlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.AtmclpQlim']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray.MatchValues']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit.ActionQlimitInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact.ActionAfmonReactInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns.PoliceActionArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode.InlineCmap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code.Uint8_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel.Uint32_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan.VlanIdArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex.DomainArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort.NasPortArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4.Ipv4AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6.Ipv6AddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac.MacAddrArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData.FlowKeys']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort.Uint16_Rng_Array']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dscp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Prec']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DiscardClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.QosGroup']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TrafficClass']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Proto']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.IcmpV6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.PacketLen']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowTag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TcpFlag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv4Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Type']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Icmpv6Code']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsExpImp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsDispIpv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MplsTopLabel']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Cos']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CosInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dei']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DeiInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Vlan']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VlanInr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDlci']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AtmClp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FrDe']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv4Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ipv6Acl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.EtherServiceAcl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AvailId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.MediaType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SubsProtocol']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Dnis']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DnisRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Domain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.NasPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.ServiceNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv4']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstAddrIpv6']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcAddrMac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Timer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TimerRegexp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.TunnelNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserName']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UserNameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsername']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthUsernameRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AuthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomain']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.UnauthDomainRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.VendorIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.AccessInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputInterface']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.InputIntfhdl']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.Ethertype']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.FlowKeyData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DhcpClientIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.CircuitIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.RemoteIdRegex']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.SrcPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData.DstPort']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt.MatchData']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop.ClassMatchInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg.MatchInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP.ClassMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Burst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.PeakBurst']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.Cdvt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConformActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExceedActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ViolateActns']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ConfclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police.ExcdclassP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Bw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape.Be']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo.DataHd']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.Info']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy.HdInfo']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.FlowRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac.Rate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.BufferSize']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.PauseThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc.ResumeThreshold']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr.MediaBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice.ClockRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp.IpBitRate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf.ActionPbfInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh.ActionIpv4NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh.ActionIpv6NhInfoArray']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mark2']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Wred']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Encap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Prio']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Bwrem']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MinBw']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthenAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.CollectId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DecodeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.SetTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.StopTimer']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AcctAaaList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.QueryAncp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.PrepaidCfg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.TimeoutIdle']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ProxyAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ActTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.DeactTemplate']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Qlimit']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AccountingEventAaa']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AuthorizeId']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.AfmReact']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Httpr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Punt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Copy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Sfrag']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Redirect']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.OutIntf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ServFunc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Police']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Shape']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.ChildPolicy']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Cac']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pfc']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.FlowParm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipcbr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Rtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpMmr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpJ2K']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.RtpVoice']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Mdi']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.MdiRtp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Fmm']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Pbf']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv4Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp.Ipv6Nh']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt.Actp']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop.PolicyActionInfoSt']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClEncode']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ClmpP']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg.ActInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop.PolicyClassInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg.ClassInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop.PolicyEventInfoBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.PmapVarList']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg.EventInfop']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_.PolicyMapBg']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps.PolicyMap_']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails.PolicyMapDetail']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMaps']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType.PolicyMapDetails']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes.PolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds.TransientListUnused']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType.TransientListUnuseds']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes.TransientPolicyMapType']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypeXr']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapUnusedTypes']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.PolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap.TransientPolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference.PolicyMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.Reference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.Object']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap.ClassMapReference']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.ClassMap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary.PolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node.Summary']['meta_info']
_meta_table['PolicyManager.Nodes.Node.TargetPolicyMapTypes']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node']['meta_info']
_meta_table['PolicyManager.Nodes.Node.ClassMap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node']['meta_info']
_meta_table['PolicyManager.Nodes.Node.PolicyMap']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node']['meta_info']
_meta_table['PolicyManager.Nodes.Node.Summary']['meta_info'].parent =_meta_table['PolicyManager.Nodes.Node']['meta_info']
_meta_table['PolicyManager.Nodes.Node']['meta_info'].parent =_meta_table['PolicyManager.Nodes']['meta_info']
_meta_table['PolicyManager.Global_']['meta_info'].parent =_meta_table['PolicyManager']['meta_info']
_meta_table['PolicyManager.Nodes']['meta_info'].parent =_meta_table['PolicyManager']['meta_info']
